<?php
/**
 * The template for displaying Archive pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package vw-boutique-pro
 */

$page_title_style="";
if(get_theme_mod('vw_boutique_pro_page_title_content_option')=='Center'){
    $page_title_style='text-align:center;';
}else if(get_theme_mod('vw_boutique_pro_page_title_content_option')=='Left')
{
	$page_title_style='text-align:left;';
}else if(get_theme_mod('vw_boutique_pro_page_title_content_option')=='Right')
{
	$page_title_style='text-align:right;';
}else{
	$page_title_style='';
}

get_header(); ?>
<div class="container">
	<main id="maincontent" role="main">
		<div class="middle-align">
			<?php
			if ( defined( 'VW_TITLE_BANNER_IMAGE_VERSION' ) ){
				echo do_shortcode( '[vw-title-banner]' );
			}
			else{ ?>
				<header class="page-header" style="<?php echo esc_attr($page_title_style); ?>">
					<?php the_archive_title( '<h1 class="page-title">', '</h1>' );
					the_archive_description( '<div class="taxonomy-description">', '</div>' );?>
				</header>
			<?php } ?>
			<?php if (defined('VWBC_VERSION')){
				echo do_shortcode( '[vw-breadcrumb]' );
			} ?>
			<div class="row">
				<div class="col-lg-8 col-md-12">
					<div class="row">
						<?php if ( have_posts() ) : ?>
							<?php /* Start the Loop */ ?>
							<?php while ( have_posts() ) : the_post();
								get_template_part('template-parts/post/post-content');
							endwhile;
							// Previous/next page navigation.
							the_posts_pagination( array(
								'prev_text'          => __( 'Previous page', 'vw-boutique-pro' ),
								'next_text'          => __( 'Next page', 'vw-boutique-pro' ),
								'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'vw-boutique-pro' ) . ' </span>',
							));
						else :
							get_template_part( 'no-results', 'archive' ); ?>
						<?php endif; ?>
					</div>
				</div>
				<div class="col-lg-4 col-md-12" id="vw-sidebar">
					<?php dynamic_sidebar( 'sidebar-1' ); ?>
				</div>
				<div class="clearfix"></div>
			</div>
		</div>
	</main>
</div>
<?php get_footer(); ?>