<?php
/**
 * The Header for our theme.
 *
 * @package vw-boutique-pro
 */

$sticky_header="";
if ( get_theme_mod('vw_boutique_pro_header_section_sticky',true) == "1" ) {
  $sticky_header="yes";
}else{

  $sticky_header="no";
}

$header_style="";
$slider_hide = get_theme_mod( 'vw_boutique_pro_slider_enabledisable' );
if ( 'Disable' == $slider_hide ) {
  $header_style="position:unset;background-color:#fff;";
}else{
  $header_style="";
}

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
  <link rel="shortcut icon" href="#">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
  <header role="banner" id="masthead" class="vw-site-header" style="<?php echo esc_attr($header_style); ?>">
     <a class="screen-reader-text skip-link" href="#maincontent" ><?php esc_html_e( 'Skip to content', 'vw-boutique-pro' ); ?><span class="screen-reader-text"><?php esc_html_e( 'Skip to content', 'vw-boutique-pro' ); ?></span></a>
    <?php if ( get_theme_mod('vw_boutique_pro_products_spinner_enable',true) == "1" ) { ?>
      <div class="front-loading-box">
       <div id="spinner2"></div>
      </div>
    <?php } ?>
    <div id="header-main">
      <div id="header-menu">
        <div class="header-wrap">
          <?php
          get_template_part('template-parts/header/topbar'); 
          if(is_home() || is_front_page() ){ 
            get_template_part('template-parts/header/product-search');
          get_template_part('template-parts/home/section-slider'); 
            }
            get_template_part('template-parts/header/navigation'); 
          ?>
        </div>
        <span id="sticky-onoff"><?php echo esc_html($sticky_header); ?></span>
      </div>
    </div>
  </header>