<?php
    /*------------------- Footer Sections ----------------------*/
    $wp_customize->add_section('vw_boutique_pro_footer_widget_section',array(
        'title' => __('Footer Widgets','vw-boutique-pro'),
        'description'   => __('Edit footer Widgets sections','vw-boutique-pro'),
        'panel' => 'vw_boutique_pro_panel_id',
    ));
    $wp_customize->add_setting( 'vw_boutique_pro_footer_widget_section_youtube_link', array(
      'default' => '',
      'sanitize_callback' => 'esc_url_raw',
    ) );
    $wp_customize->add_control( new VW_Button_Custom_Content( $wp_customize, 'vw_boutique_pro_footer_widget_section_youtube_link', array(
          'section' => 'vw_boutique_pro_footer_widget_section',
          'label' => __( 'Youtube Video', 'vw-boutique-pro' ),
          'description' => __( 'Watch our youtube video for How to Create a Footer Widget in WordPress.', 'vw-boutique-pro' ),
          'content' => sprintf( __( 'Check the button %1$sWatch Now%2$s', 'vw-boutique-pro' ), '<a href="' . esc_url( VW_BOUTIQUE_PRO_FOOTER_TOP_LINK) . '" class="button button-secondary alignright review_st" target="_blank">', '</a>' ),
    )));
    $wp_customize->add_setting('vw_boutique_pro_footer_widgets_enable',
    array(
        'default' => 'Enable',
        'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
    ));
    $wp_customize->add_control('vw_boutique_pro_footer_widgets_enable',
    array(
        'type' => 'radio',
        'label' => 'Do you want this section',
        'section' => 'vw_boutique_pro_footer_widget_section',
        'choices' => array(
            'Enable' => __('Enable', 'vw-boutique-pro'),
            'Disable' => __('Disable', 'vw-boutique-pro')
        ),
    ));

    $wp_customize->selective_refresh->add_partial( 'vw_boutique_pro_footer_widgets_enable', array(
      'selector' => '#footer .container',
      'render_callback' => 'vw_boutique_pro_customize_partial_vw_boutique_pro_footer_widgets_enable',
    ) );

    $wp_customize->add_setting( 'vw_boutique_pro_footer_widget_section_setting',
    array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'vw_boutique_pro_text_sanitization'
    ));
    $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_boutique_pro_footer_widget_section_setting',
        array(
          'label' => __('Section Background Setting','vw-boutique-pro'),
          'section' => 'vw_boutique_pro_footer_widget_section'
        )
    ) );
    // add color picker setting
    $wp_customize->add_setting( 'vw_boutique_pro_footer_widget_bgcolor', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_footer_widget_bgcolor', array(
        'label' => __('Background Color', 'vw-boutique-pro'),
        'description'   => __('Either add background color or background image, if you add both background color will be top most priority','vw-boutique-pro'),
        'section' => 'vw_boutique_pro_footer_widget_section',
        'settings' => 'vw_boutique_pro_footer_widget_bgcolor',
    )));
    $wp_customize->add_setting('vw_boutique_pro_footer_widget_section_bg_image',array(
      'default'   => '',
      'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'vw_boutique_pro_footer_widget_section_bg_image',array(
          'label' => __('Background Image ','vw-boutique-pro'),
          'description' => __('Dimension (1600px * 700px)','vw-boutique-pro'),
          'section' => 'vw_boutique_pro_footer_widget_section',
          'settings' => 'vw_boutique_pro_footer_widget_section_bg_image'
    )));
    $wp_customize->add_setting('vw_boutique_pro_footer_widget_section_bg_image_attachment',
    array(
      'default' => 'Scroll',
      'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('vw_boutique_pro_footer_widget_section_bg_image_attachment',
          array(
          'type' => 'radio',
          'label' => __('Background Image Attachment', 'vw-boutique-pro'),
          'section' => 'vw_boutique_pro_footer_widget_section',
          'choices' => array(
          'Scroll' => __('Scroll', 'vw-boutique-pro'),
          'Fixed' => __('Fixed', 'vw-boutique-pro')
    ),));
    $wp_customize->add_setting('vw_boutique_pro_footer_col_text_one',array(
      'default'   => '',
      'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_footer_col_text_one',array(
      'label' => __('Footer Text 1','vw-boutique-pro'),
      'section' => 'vw_boutique_pro_footer_widget_section',
      'setting'   => 'vw_boutique_pro_footer_col_text_one',
      'type'  => 'text'
    ));
       $wp_customize->add_setting('vw_boutique_pro_footer_col_text_two',array(
      'default'   => '',
      'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_footer_col_text_two',array(
      'label' => __('Footer Text 2','vw-boutique-pro'),
      'section' => 'vw_boutique_pro_footer_widget_section',
      'setting'   => 'vw_boutique_pro_footer_col_text_two',
      'type'  => 'text'
    ));
       $wp_customize->add_setting('vw_boutique_pro_footer_col_text_three',array(
      'default'   => '',
      'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_footer_col_text_three',array(
      'label' => __('Footer Text 3','vw-boutique-pro'),
      'section' => 'vw_boutique_pro_footer_widget_section',
      'setting'   => 'vw_boutique_pro_footer_col_text_three',
      'type'  => 'text'
    ));
       $wp_customize->add_setting('vw_boutique_pro_footer_col_text_four',array(
      'default'   => '',
      'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_footer_col_text_four',array(
      'label' => __('Footer Text 4','vw-boutique-pro'),
      'section' => 'vw_boutique_pro_footer_widget_section',
      'setting'   => 'vw_boutique_pro_footer_col_text_four',
      'type'  => 'text'
    ));
    $wp_customize->add_setting( 'vw_boutique_pro_footer_widget_section_text_setting',
    array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'vw_boutique_pro_text_sanitization'
    ));
    $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_boutique_pro_footer_widget_section_text_setting',
        array(
          'label' => __('Section Text Color and Font Setting','vw-boutique-pro'),
          'section' => 'vw_boutique_pro_footer_widget_section'
        )
    ) );

    $wp_customize->add_setting('vw_boutique_pro_footer_widget_heading_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_footer_widget_heading_color', array(
        'label' => __('Footer Heading Color', 'vw-boutique-pro'),
        'section' => 'vw_boutique_pro_footer_widget_section',
        'settings' => 'vw_boutique_pro_footer_widget_heading_color',
    )));
    
    $wp_customize->add_setting('vw_boutique_pro_footer_widget_heading_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'vw_boutique_pro_footer_widget_heading_font_family', array(
        'section'  => 'vw_boutique_pro_footer_widget_section',
        'label'    => __( 'Footer Heading Font Family','vw-boutique-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));
     $wp_customize->add_setting('vw_boutique_pro_footer_widget_heading_font_size',array(
    'default' => '',
    'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_footer_widget_heading_font_size',array(
    'label' => __('Footer Heading Font Size in px','vw-boutique-pro'),
    'section' => 'vw_boutique_pro_footer_widget_section',
    'setting' => 'vw_boutique_pro_footer_widget_heading_font_size',
    'type'  => 'text'
    ));
    $wp_customize->add_setting('vw_boutique_pro_footer_widget_content_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_footer_widget_content_color', array(
        'label' => __('Footer Content Color', 'vw-boutique-pro'),
        'section' => 'vw_boutique_pro_footer_widget_section',
        'settings' => 'vw_boutique_pro_footer_widget_content_color',
    )));
    
    $wp_customize->add_setting('vw_boutique_pro_footer_widget_content_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'vw_boutique_pro_footer_widget_content_font_family', array(
        'section'  => 'vw_boutique_pro_footer_widget_section',
        'label'    => __( 'Footer Content Font Family','vw-boutique-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));
        $wp_customize->add_setting('vw_boutique_pro_footer_widget_content_font_size',array(
    'default' => '',
    'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_footer_widget_content_font_size',array(
    'label' => __('Footer Content Font Size in px','vw-boutique-pro'),
    'section' => 'vw_boutique_pro_footer_widget_section',
    'setting' => 'vw_boutique_pro_footer_widget_content_font_size',
    'type'  => 'text'
    ));

    $wp_customize->add_setting('vw_boutique_pro_footer_widget_small_text_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_footer_widget_small_text_color', array(
        'label' => __('Footer Widgets Heading Color', 'vw-boutique-pro'),
        'section' => 'vw_boutique_pro_footer_widget_section',
        'settings' => 'vw_boutique_pro_footer_widget_small_text_color',
    )));
    
    $wp_customize->add_setting('vw_boutique_pro_footer_widget_small_text_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'vw_boutique_pro_footer_widget_small_text_font_family', array(
        'section'  => 'vw_boutique_pro_footer_widget_section',
        'label'    => __( 'Footer Widgets Heading Font Family','vw-boutique-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));
     $wp_customize->add_setting('vw_boutique_pro_footer_widget_small_text_font_size',array(
    'default' => '',
    'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_footer_widget_small_text_font_size',array(
    'label' => __('Footer Widgets Heading Font Size in px','vw-boutique-pro'),
    'section' => 'vw_boutique_pro_footer_widget_section',
    'setting' => 'vw_boutique_pro_footer_widget_small_text_font_size',
    'type'  => 'text'
    ));
    
    /*----------------- Footer Copyright --------------*/

    $wp_customize->add_section('vw_boutique_pro_footer_section',array(
        'title' => __('Footer Text','vw-boutique-pro'),
        'description'   => __('Add some text for footer like copyright etc.','vw-boutique-pro'),
        'priority'  => null,
        'panel' => 'vw_boutique_pro_panel_id',
    ));

    $wp_customize->add_setting('vw_boutique_pro_footer_section_enable',
    array(
        'default' => 'Enable',
        'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
    ));
    $wp_customize->add_control('vw_boutique_pro_footer_section_enable',
    array(
        'type' => 'radio',
        'label' => 'Do you want this section',
        'section' => 'vw_boutique_pro_footer_section',
        'choices' => array(
            'Enable' => __('Enable', 'vw-boutique-pro'),
            'Disable' => __('Disable', 'vw-boutique-pro')
        ),
    ));
    $wp_customize->add_setting('vw_boutique_pro_footer_logo',array(
        'default'   => '',
        'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control(new WP_Customize_Image_Control(
            $wp_customize,
      'vw_boutique_pro_footer_logo',
      array(
          'label' => __('Footer Logo','vw-boutique-pro'),
          'description' => __('Dimension 70px * 50px','vw-boutique-pro'),
          'section' => 'vw_boutique_pro_footer_section',
          'settings' => 'vw_boutique_pro_footer_logo'
    )));
    $wp_customize->add_setting('vw_boutique_pro_footer_logo_alt_text',array(
      'default' => '',
      'sanitize_callback' => 'sanitize_textarea_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_footer_logo_alt_text',array(
      'label' => __('Footer Logo Alt Text ','vw-boutique-pro'),
      'description' => __( 'This is image text for image alt attribute.This text is only for coding purpose.','vw-boutique-pro' ),
      'section' => 'vw_boutique_pro_footer_section',
      'setting' => 'vw_boutique_pro_footer_logo_alt_text',
      'type'  => 'text'
    ));
    $wp_customize->add_setting('vw_boutique_pro_footer_card_image',array(
        'default'   => '',
        'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control(new WP_Customize_Image_Control(
            $wp_customize,
      'vw_boutique_pro_footer_card_image',
      array(
          'label' => __('Cards Image','vw-boutique-pro'),
          'description' => __('Dimension 70px * 50px','vw-boutique-pro'),
          'section' => 'vw_boutique_pro_footer_section',
          'settings' => 'vw_boutique_pro_footer_card_image'
    )));
    $wp_customize->add_setting('vw_boutique_pro_footer_card_image_alt_text',array(
      'default' => '',
      'sanitize_callback' => 'sanitize_textarea_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_footer_card_image_alt_text',array(
      'label' => __('Cards Image Alt Text ','vw-boutique-pro'),
      'description' => __( 'This is image text for image alt attribute.This text is only for coding purpose.','vw-boutique-pro' ),
      'section' => 'vw_boutique_pro_footer_section',
      'setting' => 'vw_boutique_pro_footer_card_image_alt_text',
      'type'  => 'text'
    ));
    $wp_customize->add_setting('vw_boutique_pro_footer_copy',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_textarea_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_footer_copy',array(
        'label' => __('Copyright Text','vw-boutique-pro'),
        'section'   => 'vw_boutique_pro_footer_section',
        'type'      => 'textarea'
    ));
    $wp_customize->selective_refresh->add_partial( 'vw_boutique_pro_footer_copy', array(
      'selector' => '.copyright p',
      'render_callback' => 'vw_boutique_pro_customize_partial_vw_boutique_pro_footer_copy',
    ) );

    $wp_customize->add_setting( 'vw_boutique_pro_footer_copy_content_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_footer_copy_content_color', array(
        'label' => __('Content Color', 'vw-boutique-pro'),
        'section' => 'vw_boutique_pro_footer_section',
        'settings' => 'vw_boutique_pro_footer_copy_content_color',
    )));

    $wp_customize->add_setting('vw_boutique_pro_footer_copy_content_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'vw_boutique_pro_footer_copy_content_font_family', array(
        'section'  => 'vw_boutique_pro_footer_section',
        'label'    => __( 'Content Font Family','vw-boutique-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));
     $wp_customize->add_setting('vw_boutique_pro_footer_copy_content_font_size',array(
    'default' => '',
    'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_footer_copy_content_font_size',array(
    'label' => __('Content Font Size in px','vw-boutique-pro'),
    'section' => 'vw_boutique_pro_footer_section',
    'setting' => 'vw_boutique_pro_footer_copy_content_font_size',
    'type'  => 'text'
    ));

    /*---------------Contact Page section-------------*/

    $wp_customize->add_section('vw_boutique_pro_contact_page_section',array(
        'title' => __('Contact','vw-boutique-pro'),
        'description'   => __('Add contact page settings here.','vw-boutique-pro'),
        'priority'  => null,
        'panel' => 'vw_boutique_pro_panel_id',
    ));
    $wp_customize->add_setting( 'vw_boutique_pro_contact_page_section_youtube_link', array(
      'default' => '',
      'sanitize_callback' => 'esc_url_raw',
    ) );
    $wp_customize->add_control( new VW_Button_Custom_Content( $wp_customize, 'vw_boutique_pro_contact_page_section_youtube_link', array(
            'section' => 'vw_boutique_pro_contact_page_section',
            'label' => __( 'Youtube Video', 'vw-boutique-pro' ),
            'description' => __( 'Watch our youtube video for installing contact form7 plugin and create contact form in WordPress.', 'vw-boutique-pro' ),
            'content' => sprintf( __( 'Check the button %1$sWatch Now%2$s', 'vw-boutique-pro' ), '<a href="' . esc_url( VW_BOUTIQUE_PRO_CONTACT_PAGE_LINK) . '" class="button button-secondary alignright review_st" target="_blank">', '</a>' ),
    )));
    $wp_customize->add_setting( 'vw_boutique_pro_contact_page_section_setting',
    array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'vw_boutique_pro_text_sanitization'
    ));
    $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_boutique_pro_contact_page_section_setting',
        array(
          'label' => __('Section Heading Setting','vw-boutique-pro'),
          'section' => 'vw_boutique_pro_contact_page_section'
        )
    ) );

    $wp_customize->add_setting('vw_boutique_pro_contactpage_form_title',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_contactpage_form_title',array(
        'label' => __('Contact Form Title','vw-boutique-pro'),
        'section' => 'vw_boutique_pro_contact_page_section',
        'setting'   => 'vw_boutique_pro_contactpage_form_title',
        'type'  => 'text'
    ));
     $wp_customize->selective_refresh->add_partial( 'vw_boutique_pro_contactpage_form_title', array(
        'selector' => '.contact-box .container',
        'render_callback' => 'vw_boutique_pro_customize_partial_vw_boutique_pro_contactpage_form_title',
      ));
    $wp_customize->add_setting('vw_boutique_pro_contactpage_form_text',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_textarea_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_contactpage_form_text',array(
        'label' => __('Contact Form Text','vw-boutique-pro'),
        'section' => 'vw_boutique_pro_contact_page_section',
        'setting'   => 'vw_boutique_pro_contactpage_form_text',
        'type'  => 'textarea'
    ));

    $wp_customize->add_setting( 'vw_boutique_pro_contact_page_section_map_setting',
    array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'vw_boutique_pro_text_sanitization'
    ));
    $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_boutique_pro_contact_page_section_map_setting',
        array(
          'label' => __('Section Map Setting','vw-boutique-pro'),
          'section' => 'vw_boutique_pro_contact_page_section'
        )
    ) );

    $wp_customize->add_setting('vw_boutique_pro_address_longitude',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('vw_boutique_pro_address_longitude',array(
        'label' => __('Longitude','vw-boutique-pro'),
        'section' => 'vw_boutique_pro_contact_page_section',
        'setting'   => 'vw_boutique_pro_address_longitude',
        'type'=>'text'
    ));
    $wp_customize->add_setting('vw_boutique_pro_address_latitude',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('vw_boutique_pro_address_latitude',array(
        'label' => __('Latitude','vw-boutique-pro'),
        'section' => 'vw_boutique_pro_contact_page_section',
        'setting'   => 'vw_boutique_pro_address_latitude',
        'type'=>'text'
    ));
    $wp_customize->add_setting( 'vw_boutique_pro_contact_page_section_email_setting',
    array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'vw_boutique_pro_text_sanitization'
    ));
    $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_boutique_pro_contact_page_section_email_setting',
        array(
          'label' => __('Section Email Setting','vw-boutique-pro'),
          'section' => 'vw_boutique_pro_contact_page_section'
        )
    ) );
    $wp_customize->add_setting(
      'vw_boutique_pro_contact_page_section_email_icon',
      array(
        'default'     => 'far fa-envelope-open',
        'sanitize_callback' => 'sanitize_text_field'
      )
    );
    $wp_customize->add_control(
      new vw_boutique_pro_Fontawesome_Icon_Chooser(
        $wp_customize,
        'vw_boutique_pro_contact_page_section_email_icon',
        array(
          'settings'    => 'vw_boutique_pro_contact_page_section_email_icon',
          'section'   => 'vw_boutique_pro_contact_page_section',
          'type'      => 'icon',
          'label'     => esc_html__( 'Choose Email Icon', 'vw-boutique-pro' ),
        )
      )
    );
    $wp_customize->add_setting('vw_boutique_pro_contactpage_email_title',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_contactpage_email_title',array(
        'label' => __('Email Title','vw-boutique-pro'),
        'section' => 'vw_boutique_pro_contact_page_section',
        'setting'   => 'vw_boutique_pro_contactpage_email_title',
        'type'  => 'text'
    ));
    $wp_customize->add_setting('vw_boutique_pro_contactpage_email_one',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_contactpage_email_one',array(
        'label' => __('First Email','vw-boutique-pro'),
        'section' => 'vw_boutique_pro_contact_page_section',
        'setting'   => 'vw_boutique_pro_contactpage_email_one',
        'type'  => 'text'
    ));
    $wp_customize->add_setting('vw_boutique_pro_contactpage_email_two',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_contactpage_email_two',array(
        'label' => __('Second Email','vw-boutique-pro'),
        'section' => 'vw_boutique_pro_contact_page_section',
        'setting'   => 'vw_boutique_pro_contactpage_email_two',
        'type'  => 'text'
    ));

    $wp_customize->add_setting( 'vw_boutique_pro_contact_page_section_address_setting',
    array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'vw_boutique_pro_text_sanitization'
    ));
    $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_boutique_pro_contact_page_section_address_setting',
        array(
          'label' => __('Section Address Setting','vw-boutique-pro'),
          'section' => 'vw_boutique_pro_contact_page_section'
        )
    ) );
    $wp_customize->add_setting(
      'vw_boutique_pro_contact_page_section_address_icon',
      array(
        'default'     => 'fas fa-map-marker-alt',
        'sanitize_callback' => 'sanitize_text_field'
      )
    );
    $wp_customize->add_control(
      new vw_boutique_pro_Fontawesome_Icon_Chooser(
        $wp_customize,
        'vw_boutique_pro_contact_page_section_address_icon',
        array(
          'settings'    => 'vw_boutique_pro_contact_page_section_address_icon',
          'section'   => 'vw_boutique_pro_contact_page_section',
          'type'      => 'icon',
          'label'     => esc_html__( 'Choose Address Icon', 'vw-boutique-pro' ),
        )
      )
    );
    $wp_customize->add_setting('vw_boutique_pro_address_title',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_address_title',array(
        'label' => __('Address Title','vw-boutique-pro'),
        'section' => 'vw_boutique_pro_contact_page_section',
        'setting'   => 'vw_boutique_pro_address_title',
        'type'  => 'text'
    ));
    $wp_customize->add_setting('vw_boutique_pro_address',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_textarea_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_address',array(
        'label' => __('Address Text','vw-boutique-pro'),
        'section' => 'vw_boutique_pro_contact_page_section',
        'setting'   => 'vw_boutique_pro_address',
        'type'  => 'textarea'
    ));

    $wp_customize->add_setting( 'vw_boutique_pro_contact_page_section_phone_setting',
    array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'vw_boutique_pro_text_sanitization'
    ));
    $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_boutique_pro_contact_page_section_phone_setting',
        array(
          'label' => __('Section Phone Setting','vw-boutique-pro'),
          'section' => 'vw_boutique_pro_contact_page_section'
        )
    ) );
    $wp_customize->add_setting(
      'vw_boutique_pro_contact_page_section_phone_icon',
      array(
        'default'     => 'fas fa-phone',
        'sanitize_callback' => 'sanitize_text_field'
      )
    );
    $wp_customize->add_control(
      new vw_boutique_pro_Fontawesome_Icon_Chooser(
        $wp_customize,
        'vw_boutique_pro_contact_page_section_phone_icon',
        array(
          'settings'    => 'vw_boutique_pro_contact_page_section_phone_icon',
          'section'   => 'vw_boutique_pro_contact_page_section',
          'type'      => 'icon',
          'label'     => esc_html__( 'Choose Phone Icon', 'vw-boutique-pro' ),
        )
      )
    );
    $wp_customize->add_setting('vw_boutique_pro_contactpage_phone_title',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_contactpage_phone_title',array(
        'label' => __('Phone Title','vw-boutique-pro'),
        'section' => 'vw_boutique_pro_contact_page_section',
        'setting'   => 'vw_boutique_pro_contactpage_phone_title',
        'type'  => 'text'
    ));
    $wp_customize->add_setting('vw_boutique_pro_contactpage_phone_one',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_contactpage_phone_one',array(
        'label' => __('First Phone','vw-boutique-pro'),
        'section' => 'vw_boutique_pro_contact_page_section',
        'setting'   => 'vw_boutique_pro_contactpage_phone_one',
        'type'  => 'text'
    ));

    $wp_customize->add_setting('vw_boutique_pro_contactpage_phone_two',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_contactpage_phone_two',array(
        'label' => __('Second Phone','vw-boutique-pro'),
        'section' => 'vw_boutique_pro_contact_page_section',
        'setting'   => 'vw_boutique_pro_contactpage_phone_two',
        'type'  => 'text'
    ));

    $wp_customize->add_setting( 'vw_boutique_pro_contact_page_section_details_setting',
    array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'vw_boutique_pro_text_sanitization'
    ));
    $wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_boutique_pro_contact_page_section_details_setting',
        array(
          'label' => __('Section Text Color and Font Setting','vw-boutique-pro'),
          'section' => 'vw_boutique_pro_contact_page_section'
        )
    ) );

    $wp_customize->add_setting( 'vw_boutique_pro_contact_page_heading_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    // add color picker control
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_contact_page_heading_color', array(
        'label' => __('Section Heading Color', 'vw-boutique-pro'),
        'section' => 'vw_boutique_pro_contact_page_section',
        'settings' => 'vw_boutique_pro_contact_page_heading_color',
    )));

    $wp_customize->add_setting('vw_boutique_pro_contact_page_heading_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'vw_boutique_pro_contact_page_heading_font_family', array(
        'section'  => 'vw_boutique_pro_contact_page_section',
        'label'    => __( 'Section Heading Font Family','vw-boutique-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));
     $wp_customize->add_setting('vw_boutique_pro_contact_page_heading_font_size',array(
    'default' => '',
    'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_contact_page_heading_font_size',array(
    'label' => __('Section Heading Font Size in px','vw-boutique-pro'),
    'section' => 'vw_boutique_pro_contact_page_section',
    'setting' => 'vw_boutique_pro_contact_page_heading_font_size',
    'type'  => 'text'
    ));
    $wp_customize->add_setting( 'vw_boutique_pro_contact_page_icon_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));   
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_contact_page_icon_color', array(
        'label' => __('Contact Icon Color', 'vw-boutique-pro'),
        'section' => 'vw_boutique_pro_contact_page_section',
        'settings' => 'vw_boutique_pro_contact_page_icon_color',
    )));
    $wp_customize->add_setting( 'vw_boutique_pro_contact_page_content_title_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    // add color picker control
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_contact_page_content_title_color', array(
        'label' => __('Contact Title Color', 'vw-boutique-pro'),
        'section' => 'vw_boutique_pro_contact_page_section',
        'settings' => 'vw_boutique_pro_contact_page_content_title_color',
    )));

    $wp_customize->add_setting('vw_boutique_pro_contact_page_content_title_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'vw_boutique_pro_contact_page_content_title_font_family', array(
        'section'  => 'vw_boutique_pro_contact_page_section',
        'label'    => __( 'Contact Title Font Family','vw-boutique-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));
    $wp_customize->add_setting('vw_boutique_pro_contact_page_content_title_font_size',array(
    'default' => '',
    'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_contact_page_content_title_font_size',array(
    'label' => __('Contact Title Font Size in px','vw-boutique-pro'),
    'section' => 'vw_boutique_pro_contact_page_section',
    'setting' => 'vw_boutique_pro_contact_page_content_title_font_size',
    'type'  => 'text'
    ));
    $wp_customize->add_setting( 'vw_boutique_pro_contact_page_text_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    // add color picker control
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_contact_page_text_color', array(
        'label' => __('Contact Text Color', 'vw-boutique-pro'),
        'section' => 'vw_boutique_pro_contact_page_section',
        'settings' => 'vw_boutique_pro_contact_page_text_color',
    )));

    $wp_customize->add_setting('vw_boutique_pro_contact_page_text_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'vw_boutique_pro_contact_page_text_font_family', array(
        'section'  => 'vw_boutique_pro_contact_page_section',
        'label'    => __( 'Contact Text Font Family','vw-boutique-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));
        $wp_customize->add_setting('vw_boutique_pro_contact_page_text_font_size',array(
    'default' => '',
    'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_contact_page_text_font_size',array(
    'label' => __('Contact Text Font Size in px','vw-boutique-pro'),
    'section' => 'vw_boutique_pro_contact_page_section',
    'setting' => 'vw_boutique_pro_contact_page_text_font_size',
    'type'  => 'text'
    ));
    // add color picker control
    $wp_customize->add_setting( 'vw_boutique_pro_contact_page_form_title_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));   
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_contact_page_form_title_color', array(
        'label' => __('Contact Form Title Color', 'vw-boutique-pro'),
        'section' => 'vw_boutique_pro_contact_page_section',
        'settings' => 'vw_boutique_pro_contact_page_form_title_color',
    )));

    $wp_customize->add_setting('vw_boutique_pro_contact_page_contacts_form_title_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'vw_boutique_pro_contact_page_contacts_form_title_font_family', array(
        'section'  => 'vw_boutique_pro_contact_page_section',
        'label'    => __( 'Contact Form Title Font Family','vw-boutique-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));
    $wp_customize->add_setting('vw_boutique_pro_contact_page_contacts_form_title_font_size',array(
    'default' => '',
    'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_contact_page_contacts_form_title_font_size',array(
    'label' => __('Contact Form Title Font Size in px','vw-boutique-pro'),
    'section' => 'vw_boutique_pro_contact_page_section',
    'setting' => 'vw_boutique_pro_contact_page_contacts_form_title_font_size',
    'type'  => 'text'
    ));
    $wp_customize->add_setting( 'vw_boutique_pro_contact_page_form_text_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));   
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_contact_page_form_text_color', array(
        'label' => __('Contact Form Text Color', 'vw-boutique-pro'),
        'section' => 'vw_boutique_pro_contact_page_section',
        'settings' => 'vw_boutique_pro_contact_page_form_text_color',
    )));
    $wp_customize->add_setting('vw_boutique_pro_contact_page_contacts_form_text_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'vw_boutique_pro_contact_page_contacts_form_text_font_family', array(
        'section'  => 'vw_boutique_pro_contact_page_section',
        'label'    => __( 'Contact Form Text Font Family','vw-boutique-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));
        $wp_customize->add_setting('vw_boutique_pro_contact_page_contacts_form_text_font_size',array(
    'default' => '',
    'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_contact_page_contacts_form_text_font_size',array(
    'label' => __('Contact Form Text Font Size in px','vw-boutique-pro'),
    'section' => 'vw_boutique_pro_contact_page_section',
    'setting' => 'vw_boutique_pro_contact_page_contacts_form_text_font_size',
    'type'  => 'text'
    ));
    $wp_customize->add_setting( 'vw_boutique_pro_contact_page_form_button_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));   
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_contact_page_form_button_color', array(
        'label' => __('Contact Form Button Text Color', 'vw-boutique-pro'),
        'section' => 'vw_boutique_pro_contact_page_section',
        'settings' => 'vw_boutique_pro_contact_page_form_button_color',
    )));
    $wp_customize->add_setting('vw_boutique_pro_contact_page_contacts_form_button_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'vw_boutique_pro_contact_page_contacts_form_button_font_family', array(
        'section'  => 'vw_boutique_pro_contact_page_section',
        'label'    => __( 'Contact Form Button Text Font Family','vw-boutique-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));
          $wp_customize->add_setting('vw_boutique_pro_contact_page_contacts_form_button_font_size',array(
    'default' => '',
    'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('vw_boutique_pro_contact_page_contacts_form_button_font_size',array(
    'label' => __('Contact Form Button Text Font Size in px','vw-boutique-pro'),
    'section' => 'vw_boutique_pro_contact_page_section',
    'setting' => 'vw_boutique_pro_contact_page_contacts_form_button_font_size',
    'type'  => 'text'
    ));
    $wp_customize->add_setting( 'vw_boutique_pro_contact_page_button_bgcolor', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    // add color picker control
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_contact_page_button_bgcolor', array(
        'label' => __('Form Button Background Color', 'vw-boutique-pro'),
        'section' => 'vw_boutique_pro_contact_page_section',
        'settings' => 'vw_boutique_pro_contact_page_button_bgcolor',
    )));
    /* ------------ 404 Page Setting ------------ */

  $wp_customize->add_section('vw_boutique_pro_404_page',array(
    'title' => __('404 Page Settings','vw-boutique-pro'),
    'panel' => 'vw_boutique_pro_panel_id',
  )); 

  $wp_customize->add_setting('vw_boutique_pro_404_page_title',array(
    'default'=> '',
    'sanitize_callback' => 'sanitize_text_field'
  ));

  $wp_customize->add_control('vw_boutique_pro_404_page_title',array(
    'label' => __('Add Title','vw-boutique-pro'),
    'input_attrs' => array(
            'placeholder' => __( '404 Not Found', 'vw-boutique-pro' ),
        ),
    'section'=> 'vw_boutique_pro_404_page',
    'type'=> 'text'
  ));

  $wp_customize->add_setting('vw_boutique_pro_404_page_content',array(
    'default'=> '',
    'sanitize_callback' => 'sanitize_text_field'
  ));

  $wp_customize->add_control('vw_boutique_pro_404_page_content',array(
    'label' => __('Add Text','vw-boutique-pro'),
    'input_attrs' => array(
            'placeholder' => __( 'Looks like you have taken a wrong turn, Dont worry, it happens to the best of us.', 'vw-boutique-pro' ),
        ),
    'section'=> 'vw_boutique_pro_404_page',
    'type'=> 'text'
  ));

  $wp_customize->add_setting('vw_boutique_pro_404_page_button_text',array(
    'default'=> '',
    'sanitize_callback' => 'sanitize_text_field'
  ));
  $wp_customize->add_control('vw_boutique_pro_404_page_button_text',array(
    'label' => __('Add Button Text','vw-boutique-pro'),
    'input_attrs' => array(
            'placeholder' => __( 'GO BACK', 'vw-boutique-pro' ),
        ),
    'section'=> 'vw_boutique_pro_404_page',
    'type'=> 'text'
  ));

  /* ----------- Responsive Media Settings  ------------ */

  $wp_customize->add_section('vw_boutique_pro_responsive_media',array(
    'title' => __('Responsive Media','vw-boutique-pro'),
    'panel' => 'vw_boutique_pro_panel_id',
  ));

  $wp_customize->add_setting( 'vw_boutique_pro_resp_slider_hide_show',array(
        'default' => 1,
        'transport' => 'refresh',
        'sanitize_callback' => 'vw_boutique_pro_switch_sanitization'
  ));  
  $wp_customize->add_control( new vw_boutique_pro_Toggle_Switch_Custom_Control( $wp_customize, 'vw_boutique_pro_resp_slider_hide_show',array(
        'label' => esc_html__( 'Show / Hide Slider','vw-boutique-pro' ),
        'section' => 'vw_boutique_pro_responsive_media'
  )));

  $wp_customize->add_setting( 'vw_boutique_pro_metabox_hide_show',array(
      'default' => 1,
      'transport' => 'refresh',
      'sanitize_callback' => 'vw_boutique_pro_switch_sanitization'
  ));  
  $wp_customize->add_control( new vw_boutique_pro_Toggle_Switch_Custom_Control( $wp_customize, 'vw_boutique_pro_metabox_hide_show',array(
        'label' => esc_html__( 'Show / Hide Metabox','vw-boutique-pro' ),
        'section' => 'vw_boutique_pro_responsive_media'
  )));

  $wp_customize->add_setting( 'vw_boutique_pro_sidebar_hide_show',array(
        'default' => 1,
        'transport' => 'refresh',
        'sanitize_callback' => 'vw_boutique_pro_switch_sanitization'
  )); 
  $wp_customize->add_control( new vw_boutique_pro_Toggle_Switch_Custom_Control( $wp_customize, 'vw_boutique_pro_sidebar_hide_show',array(
        'label' => esc_html__( 'Show / Hide Sidebar','vw-boutique-pro' ),
        'section' => 'vw_boutique_pro_responsive_media'
  )));

  $wp_customize->add_setting(
    'vw_boutique_pro_res_open_menu_icon',
    array(
      'default'     => '',
      'sanitize_callback' => 'sanitize_text_field'
    )
  );
  $wp_customize->add_control(
    new vw_boutique_pro_Fontawesome_Icon_Chooser(
      $wp_customize,
      'vw_boutique_pro_res_open_menu_icon',
      array(
        'settings'    => 'vw_boutique_pro_res_open_menu_icon',
        'section'   => 'vw_boutique_pro_responsive_media',
        'type'      => 'icon',
        'label'     => esc_html__( 'Choose Open Menu Icon', 'vw-boutique-pro' ),
      )
    )
  );

  $wp_customize->add_setting(
    'vw_boutique_pro_res_close_menus_icon',
    array(
      'default'     => '',
      'sanitize_callback' => 'sanitize_text_field'
    )
  );
  $wp_customize->add_control(
    new vw_boutique_pro_Fontawesome_Icon_Chooser(
      $wp_customize,
      'vw_boutique_pro_res_close_menus_icon',
      array(
        'settings'    => 'vw_boutique_pro_res_close_menus_icon',
        'section'   => 'vw_boutique_pro_responsive_media',
        'type'      => 'icon',
        'label'     => esc_html__( 'Choose Close Menu Icon', 'vw-boutique-pro' ),
      )
    )
  );
?>