<?php
	// --------------- Product Search -------------------

    $wp_customize->add_section('vw_boutique_pro_product_search',array(
        'title' => __('Topbar Product Search','vw-boutique-pro'),
        'description'   => __('Product Search','vw-boutique-pro'),
        'priority'  => null,
        'panel' => 'vw_boutique_pro_panel_id',
    ));
    $wp_customize->add_setting('vw_boutique_pro_product_search_enabledisable',array(
        'default'=> 'Enable',
        'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
    ));
    $wp_customize->add_control('vw_boutique_pro_product_search_enabledisable', array(
        'type' => 'radio',
        'label' => 'Do you want this section',
        'section' => 'vw_boutique_pro_product_search',
        'choices' => array(
            'Enable' => 'Enable',
            'Disable' => 'Disable'
        ),
    )); 
    $wp_customize->selective_refresh->add_partial( 'vw_boutique_pro_product_search_enabledisable', array(
	    'selector' => '#topbar-search .product-search-info',
	    'render_callback' => 'vw_boutique_pro_customize_partial_vw_boutique_pro_product_search_enabledisable',
	));
	$wp_customize->add_setting( 'vw_boutique_pro_product_search_bg_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'vw_boutique_pro_text_sanitization'
	));
	$wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_boutique_pro_product_search_bg_settings',
	    array(
	    'label' => __('Background Settings','vw-boutique-pro'),
	    'section' => 'vw_boutique_pro_product_search'
	)));
    $wp_customize->add_setting( 'vw_boutique_pro_product_search_bgcolor', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_product_search_bgcolor', array(
        'label' => __('Background Color', 'vw-boutique-pro'),
        'description'   => __('Either add background color or background image, if you add both background color will be top most priority','vw-boutique-pro'),
        'section' => 'vw_boutique_pro_product_search',
        'settings' => 'vw_boutique_pro_product_search_bgcolor',
    )));
    $wp_customize->add_setting('vw_boutique_pro_product_search_bgimage',array(
        'default'   =>'',
        'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'vw_boutique_pro_product_search_bgimage',array(
        'label' => __('Background Image ','vw-boutique-pro'),
        'description' => __('Dimension (1600px * 400px)','vw-boutique-pro'),
        'section' => 'vw_boutique_pro_product_search',
        'settings' => 'vw_boutique_pro_product_search_bgimage'
    )));
    $wp_customize->add_setting(
      'vw_boutique_pro_header_section_account_icon',
      array(
        'default'     => '',
        'sanitize_callback' => 'sanitize_text_field'
      )
    );
    $wp_customize->add_control(
      new vw_boutique_pro_Fontawesome_Icon_Chooser(
        $wp_customize,
        'vw_boutique_pro_header_section_account_icon',
        array(
          'settings'    => 'vw_boutique_pro_header_section_account_icon',
          'section'   => 'vw_boutique_pro_product_search',
          'type'      => 'icon',
          'label'     => esc_html__( 'Choose User Icon', 'vw-boutique-pro' ),
        )
      )
    );
    $wp_customize->add_setting(
      'vw_boutique_pro_header_section_cart_icon',
      array(
        'default'     => '',
        'sanitize_callback' => 'sanitize_text_field'
      )
    );
    $wp_customize->add_control(
      new vw_boutique_pro_Fontawesome_Icon_Chooser(
        $wp_customize,
        'vw_boutique_pro_header_section_cart_icon',
        array(
          'settings'    => 'vw_boutique_pro_header_section_cart_icon',
          'section'   => 'vw_boutique_pro_product_search',
          'type'      => 'icon',
          'label'     => esc_html__( 'Choose Cart Icon', 'vw-boutique-pro' ),
        )
      )
    );
    $wp_customize->add_setting( 'vw_boutique_pro_header_content_color_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'vw_boutique_pro_text_sanitization'
	));
	$wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_boutique_pro_header_content_color_settings',
	    array(
	    'label' => __('Header Content Color Settings','vw-boutique-pro'),
	    'section' => 'vw_boutique_pro_product_search'
	)));
    $wp_customize->add_setting( 'vw_boutique_pro_header_logo_title_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_header_logo_title_color', array(
		'label' => __('Header Logo Title Color', 'vw-boutique-pro'),
		'section' => 'vw_boutique_pro_product_search',
		'settings' => 'vw_boutique_pro_header_logo_title_color',
	)));
	$wp_customize->add_setting('vw_boutique_pro_header_logo_title_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
	 ));
	$wp_customize->add_control(
	    'vw_boutique_pro_header_logo_title_font_family', array(
	    'section'  => 'vw_boutique_pro_product_search',
	    'label'    => __( 'Header Logo Title Fonts','vw-boutique-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	$wp_customize->add_setting( 'vw_boutique_pro_header_logo_text_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_header_logo_text_color', array(
		'label' => __('Header Logo Text Color', 'vw-boutique-pro'),
		'section' => 'vw_boutique_pro_product_search',
		'settings' => 'vw_boutique_pro_header_logo_text_color',
	)));
	$wp_customize->add_setting('vw_boutique_pro_header_logo_text_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
	 ));
	$wp_customize->add_control(
	    'vw_boutique_pro_header_logo_text_font_family', array(
	    'section'  => 'vw_boutique_pro_product_search',
	    'label'    => __( 'Header Logo Text Fonts','vw-boutique-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	
    $wp_customize->add_setting( 'vw_boutique_pro_header_product_search_category_icons_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_header_product_search_category_icons_color', array(
        'label' => __('Product Search Icons Color', 'vw-boutique-pro'),
        'section' => 'vw_boutique_pro_product_search',
        'settings' => 'vw_boutique_pro_header_product_search_category_icons_color',
    )));
    
    $wp_customize->add_setting( 'vw_boutique_pro_header_section_account_icon_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_header_section_account_icon_color', array(
        'label' => __('Account Icons Color', 'vw-boutique-pro'),
        'section' => 'vw_boutique_pro_product_search',
        'settings' => 'vw_boutique_pro_header_section_account_icon_color',
    )));

    $wp_customize->add_setting( 'vw_boutique_pro_header_section_cart_icon_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_header_section_cart_icon_color', array(
        'label' => __('Cart Icons Color', 'vw-boutique-pro'),
        'section' => 'vw_boutique_pro_product_search',
        'settings' => 'vw_boutique_pro_header_section_cart_icon_color',
    )));
    $wp_customize->add_setting( 'vw_boutique_pro_header_section_cart_value_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_header_section_cart_value_color', array(
        'label' => __('Cart Value Color', 'vw-boutique-pro'),
        'section' => 'vw_boutique_pro_product_search',
        'settings' => 'vw_boutique_pro_header_section_cart_value_color',
    )));
    $wp_customize->add_setting('vw_boutique_pro_header_section_cart_value_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
     ));
    $wp_customize->add_control(
        'vw_boutique_pro_header_section_cart_value_font_family', array(
        'section'  => 'vw_boutique_pro_product_search',
        'label'    => __( 'Cart Value Fonts','vw-boutique-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));
    
    $wp_customize->add_setting( 'vw_boutique_pro_header_section_cart_value_bg_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_header_section_cart_value_bg_color', array(
        'label' => __('Cart Value Background Color', 'vw-boutique-pro'),
        'section' => 'vw_boutique_pro_product_search',
        'settings' => 'vw_boutique_pro_header_section_cart_value_bg_color',
    )));
	// --------------- Header Section ---------------

	$wp_customize->add_section('vw_boutique_pro_header_section',array(
		'title'	=> __('Header Menu','vw-boutique-pro'),
		'description'	=> __('Header Menu Settings','vw-boutique-pro'),
		'priority'	=> null,
		'panel' => 'vw_boutique_pro_panel_id',
	));	
	$wp_customize->add_setting( 'vw_boutique_pro_header_section_youtube_link', array(
		'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw',
	) );
	$wp_customize->add_control( new VW_Button_Custom_Content( $wp_customize, 'vw_boutique_pro_header_section_youtube_link', array(
	    'section' => 'vw_boutique_pro_header_section',
	    'label' => __( 'Youtube Video', 'vw-boutique-pro' ),
	    'description' => __( 'Watch our youtube video for how to create Menu in WordPress Website', 'vw-boutique-pro' ),
	    'content' => sprintf( __( 'Check the button %1$sWatch Now%2$s', 'vw-boutique-pro' ), '<a href="' . esc_url( VW_BOUTIQUE_PRO_HEADER_LINK) . '" class="button button-secondary alignright review_st" target="_blank">', '</a>' ),
	)));
	$wp_customize->selective_refresh->add_partial( 'vw_boutique_pro_header_section_youtube_link', array(
	    'selector' => '.main-navigation ul',
	    'render_callback' => 'vw_boutique_pro_customize_partial_vw_boutique_pro_header_section_youtube_link',
	));
	$wp_customize->add_setting('vw_boutique_pro_haeder_enabledisable',array(
	      'default'=> 'Enable',
	      'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
	));
	$wp_customize->add_control('vw_boutique_pro_haeder_enabledisable', array(
	      'type' => 'radio',
	      'label' => 'Do you want this section',
	      'section' => 'vw_boutique_pro_header_section',
	      'choices' => array(
	          'Enable' => 'Enable',
	          'Disable' => 'Disable'
	      ),
	));

	$wp_customize->selective_refresh->add_partial( 'vw_boutique_pro_haeder_enabledisable', array(
	    'selector' => '#header .container',
	    'render_callback' => 'vw_boutique_pro_customize_partial_vw_boutique_pro_haeder_enabledisable',
	));
	$wp_customize->add_setting( 'vw_boutique_pro_haeder_bg_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'vw_boutique_pro_text_sanitization'
	));
	$wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_boutique_pro_haeder_bg_settings',
	    array(
	    'label' => __('Background Settings','vw-boutique-pro'),
	    'section' => 'vw_boutique_pro_header_section'
	)));
	$wp_customize->add_setting('vw_boutique_pro_header_menu_bg_color', array(
	  'default' => '',
	  'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_header_menu_bg_color',array(
	  'label' => __('Background Color', 'vw-boutique-pro'),
	  'description'   => __('Either add background color or background image, if you add both background color will be top most priority','vw-boutique-pro'),
	  'section' => 'vw_boutique_pro_header_section',
	  'settings' => 'vw_boutique_pro_header_menu_bg_color',
	)));
	$wp_customize->add_setting('vw_boutique_pro_header_menu_bg_image',array(
	  'default'   => '',
	  'sanitize_callback' => 'esc_url_raw',
	));
	$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'vw_boutique_pro_header_menu_bg_image',array(
	  'label' => __('Background image ','vw-boutique-pro'),
	  'description' => __('Dimension (1600px * 200px)','vw-boutique-pro'),
	  'section' => 'vw_boutique_pro_header_section',
	  'settings' => 'vw_boutique_pro_header_menu_bg_image'
	)));
	$wp_customize->add_setting( 'vw_boutique_pro_header_location_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'vw_boutique_pro_text_sanitization'
	));
	$wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_boutique_pro_header_location_settings',
	    array(
	    'label' => __('Header Location Settings','vw-boutique-pro'),
	    'section' => 'vw_boutique_pro_header_section'
	)));
	
	$wp_customize->add_setting( 'vw_boutique_pro_header_section_sticky',
   	array(
      'default' => 1,
      'transport' => 'refresh',
      'sanitize_callback' => 'vw_boutique_pro_switch_sanitization'
    ));
  	$wp_customize->add_control( new vw_boutique_pro_Toggle_Switch_Custom_control( $wp_customize, 'vw_boutique_pro_header_section_sticky',
     array(
        'label' => esc_html__( 'Sticky Header On/Off', 'vw-boutique-pro' ),
        'section' => 'vw_boutique_pro_header_section'
    )));
	$wp_customize->add_setting( 'vw_boutique_pro_header_box_content_color_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'vw_boutique_pro_text_sanitization'
	));
	$wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_boutique_pro_header_box_content_color_settings',
	    array(
	    'label' => __('Header Content Color Settings','vw-boutique-pro'),
	    'section' => 'vw_boutique_pro_header_section'
	)));
	
	// This is Header Menu Color picker setting
	$wp_customize->add_setting( 'vw_boutique_pro_headermenu_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_headermenu_color', array(
		'label' => __('Menu Item Color', 'vw-boutique-pro'),
		'section' => 'vw_boutique_pro_header_section',
		'settings' => 'vw_boutique_pro_headermenu_color',
	)));
	//This is Header Menu FontFamily picker setting
	$wp_customize->add_setting('vw_boutique_pro_headermenu_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
	 ));
	$wp_customize->add_control(
	    'vw_boutique_pro_headermenu_font_family', array(
	    'section'  => 'vw_boutique_pro_header_section',
	    'label'    => __( 'Menu Item Fonts','vw-boutique-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	$wp_customize->add_setting('vw_boutique_pro_headermenu_font_size',array(
      'default'   => '',
      'sanitize_callback' => 'sanitize_text_field'
  ));
  $wp_customize->add_control('vw_boutique_pro_headermenu_font_size',array(
      'label' => __('Menu Font Family','vw-boutique-pro'),
      'section'   => 'vw_boutique_pro_header_section',
      'setting'   => 'vw_boutique_pro_headermenu_font_size',
      'type'  => 'text'
  ));
	$wp_customize->add_setting( 'vw_boutique_pro_header_menuhovercolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_header_menuhovercolor', array(
		'label' => __('Menu Item Hover Color', 'vw-boutique-pro'),
		'section' => 'vw_boutique_pro_header_section',
		'settings' => 'vw_boutique_pro_header_menuhovercolor',
	)));
	
	// This is Nav Dropdown Background Color picker setting
	$wp_customize->add_setting( 'vw_boutique_pro_dropdownbg_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_dropdownbg_color', array(
		'label' => __('Menu DropDown Background Color', 'vw-boutique-pro'),
		'section' => 'vw_boutique_pro_header_section',
		'settings' => 'vw_boutique_pro_dropdownbg_color',
	)));

	$wp_customize->add_setting( 'vw_boutique_pro_dropdownbg_itemcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_dropdownbg_itemcolor', array(
		'label' => __('Menu DropDown Item Color', 'vw-boutique-pro'),
		'section' => 'vw_boutique_pro_header_section',
		'settings' => 'vw_boutique_pro_dropdownbg_itemcolor',
	)));

	$wp_customize->add_setting( 'vw_boutique_pro_dropdownbg_item_hovercolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_dropdownbg_item_hovercolor', array(
		'label' => __('Menu DropDown Item Hover Color', 'vw-boutique-pro'),
		'section' => 'vw_boutique_pro_header_section',
		'settings' => 'vw_boutique_pro_dropdownbg_item_hovercolor',
	)));

	$wp_customize->add_setting( 'vw_boutique_pro_header_menu_active_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_header_menu_active_color', array(
		'label' => __('Active Menu Item Color', 'vw-boutique-pro'),
		'section' => 'vw_boutique_pro_header_section',
		'settings' => 'vw_boutique_pro_header_menu_active_color',
	)));
	
	//In Responsive
	$wp_customize->add_setting( 'vw_boutique_pro_dropdownbg_responsivecolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_dropdownbg_responsivecolor', array(
		'label' => __('Responsive Menu Background Color', 'vw-boutique-pro'),
		'description' => __('This Background Color Will Apply Only To Toggle Menu', 'vw-boutique-pro'),
		'section' => 'vw_boutique_pro_header_section',
		'settings' => 'vw_boutique_pro_dropdownbg_responsivecolor',
	)));
	$wp_customize->add_setting( 'vw_boutique_pro_headermenu_responsive_item_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_headermenu_responsive_item_color', array(
		'label' => __('Responsive Menu Item Color', 'vw-boutique-pro'),
		'description' => __('This Color Will Apply Only To Toggle Menu Item', 'vw-boutique-pro'),
		'section' => 'vw_boutique_pro_header_section',
		'settings' => 'vw_boutique_pro_headermenu_responsive_item_color',
	)));
?>