<?php
	$wp_customize->add_section('vw_boutique_pro_slider_section',array(
		'title'	=> __('Slider Settings','vw-boutique-pro'),
		'description'	=> __('Add slider images here.','vw-boutique-pro'),
		'priority'	=> null,
		'panel' => 'vw_boutique_pro_panel_id',
	));
	$wp_customize->add_setting( 'vw_boutique_pro_slider_section_youtube_link', array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	) );
	$wp_customize->add_control( new VW_Button_Custom_Content( $wp_customize, 'vw_boutique_pro_slider_section_youtube_link', array(
	      'section' => 'vw_boutique_pro_slider_section',
	      'label' => __( 'Youtube Video', 'vw-boutique-pro' ),
	      'description' => __( 'Watch our youtube video for How to add Slider using Customizer.', 'vw-boutique-pro' ),
	      'content' => sprintf( __( 'Check the button %1$sWatch Now%2$s', 'vw-boutique-pro' ), '<a href="' . esc_url( VW_BOUTIQUE_PRO_SLIDER_LINK) . '" class="button button-secondary alignright review_st" target="_blank">', '</a>' ),
	)));
	$wp_customize->add_setting('vw_boutique_pro_slider_enabledisable',array(
        'default'=> 'Enable',
        'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
    ));
	$wp_customize->add_control('vw_boutique_pro_slider_enabledisable', array(
        'type' => 'radio',
        'label' => 'Do you want this section',
        'section' => 'vw_boutique_pro_slider_section',
        'choices' => array(
            'Enable' => 'Enable',
            'Disable' => 'Disable'
        ),
    ));
    $wp_customize->selective_refresh->add_partial( 'vw_boutique_pro_slider_enabledisable', array(
	    'selector' => '.slider-box',
	    'render_callback' => 'vw_boutique_pro_customize_partial_vw_boutique_pro_slider_enabledisable',
	));
	$wp_customize->add_setting('vw_boutique_pro_slide_number',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field',
	));
	$wp_customize->add_control('vw_boutique_pro_slide_number',array(
		'label'	=> __('Number of slides to show','vw-boutique-pro'),
		'section'	=> 'vw_boutique_pro_slider_section',
		'type'		=> 'number'
	));
	$count =  get_theme_mod('vw_boutique_pro_slide_number');
	for($i=1; $i<=$count; $i++) {
		$wp_customize->add_setting( 'vw_boutique_pro_slider_section_settings'.$i,
		    array(
		    'default' => '',
		    'transport' => 'postMessage',
		    'sanitize_callback' => 'vw_boutique_pro_text_sanitization'
		));
		$wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_boutique_pro_slider_section_settings'.$i,
		    array(
		    'label' => __('Slider Settings ','vw-boutique-pro').$i,
		    'section' => 'vw_boutique_pro_slider_section'
		)));
		$wp_customize->add_setting('vw_boutique_pro_slide_image'.$i,array(
			'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw',
		));
		$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'vw_boutique_pro_slide_image'.$i,
	        array(
            'label' => __('Slider Image ','vw-boutique-pro').$i.__(' (1600px * 562px)','vw-boutique-pro'),
            'section' => 'vw_boutique_pro_slider_section',
            'settings' => 'vw_boutique_pro_slide_image'.$i
		)));
		// alt-slide-image
		$wp_customize->add_setting('vw_boutique_pro_slide_image_alt_text'.$i,array(
	        'default'   => '',
	        'sanitize_callback' => 'sanitize_text_field'
	    ));
	    $wp_customize->add_control('vw_boutique_pro_slide_image_alt_text'.$i,array(
	        'label' => __('Slide image ALT text','vw-boutique-pro'),
	        'description' => __( 'This is image text for image alt attribute.This text is only for coding purpose.','vw-boutique-pro' ),
	        'section'   => 'vw_boutique_pro_slider_section',
	        'setting'   => 'vw_boutique_pro_slide_image_alt_text'.$i,
	        'type'  => 'text'
	    ));
		$wp_customize->add_setting('vw_boutique_pro_slide_small_heading'.$i,array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_text_field',
		));
		$wp_customize->add_control('vw_boutique_pro_slide_small_heading'.$i,array(
			'label' => __('Slide Small Heading ','vw-boutique-pro').$i,
			'section' => 'vw_boutique_pro_slider_section',
			'setting'	=> 'vw_boutique_pro_slide_small_heading'.$i,
			'type'	=> 'text'
		));		
		$wp_customize->add_setting('vw_boutique_pro_slide_main_text'.$i,array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_text_field',
		));
		$wp_customize->add_control('vw_boutique_pro_slide_main_text'.$i,array(
			'label' => __('Slide Main Heading ','vw-boutique-pro').$i,
			'section' => 'vw_boutique_pro_slider_section',
			'setting'	=> 'vw_boutique_pro_slide_main_text'.$i,
			'type'	=> 'text'
		));
		$wp_customize->add_setting('vw_boutique_pro_slide_button_text'.$i,array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_textarea_field',
		));
		$wp_customize->add_control('vw_boutique_pro_slide_button_text'.$i,array(
			'label' => __('Slider Button One Text','vw-boutique-pro'),
			'section' => 'vw_boutique_pro_slider_section',
			'setting'	=> 'vw_boutique_pro_slide_button_text'.$i,
			'type'	=> 'text'
		));
		$wp_customize->add_setting('vw_boutique_pro_slide_buttonurl'.$i,array(
			'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw',
		));
		$wp_customize->add_control('vw_boutique_pro_slide_buttonurl'.$i,array(
			'label' => __('Slider Button One Url','vw-boutique-pro'),
			'section' => 'vw_boutique_pro_slider_section',
			'setting'	=> 'vw_boutique_pro_slide_buttonurl'.$i,
			'type'	=> 'text'
		));
		$wp_customize->add_setting(
	    'vw_boutique_pro_slide_btn_one_icon'.$i,
	    array(
	      'default'     => '',
	      'sanitize_callback' => 'vw_boutique_pro_text_sanitization'
	    )
    	);
    	$wp_customize->add_control(
	    new vw_boutique_pro_Fontawesome_Icon_Chooser(
	      $wp_customize,
	      'vw_boutique_pro_slide_btn_one_icon'.$i,
	      array(
	        'settings'    => 'vw_boutique_pro_slide_btn_one_icon'.$i,
	        'section'   => 'vw_boutique_pro_slider_section',
	        'type'      => 'icon',
	        'label'     => esc_html__( 'Button Icon ', 'vw-boutique-pro' ), 
	      )
	    ));
	}
	$wp_customize->add_setting('vw_boutique_pro_slider_social_icon_shortcode',array(
	    'default'   => '',
	    'sanitize_callback' => 'sanitize_text_field',
	));
	$wp_customize->add_control('vw_boutique_pro_slider_social_icon_shortcode',array(
	    'label' => __('Social Icon Shortcode','vw-boutique-pro'),
	    'description' => __('Add VW Social Media Plugin Shortcode Here','vw-boutique-pro'),
	    'section' => 'vw_boutique_pro_slider_section',
	    'setting'   => 'vw_boutique_pro_slider_social_icon_shortcode',
	    'type'  => 'text'
	));

	// slider setting
    /* --------- Slider Opacity  ----------- */

	$wp_customize->add_setting('vw_boutique_pro_slider_section_opacity_color',array(
      'default'              => '1',
      'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
	));

	$wp_customize->add_control( 'vw_boutique_pro_slider_section_opacity_color', array(
		'label'       => esc_html__( 'Slider Image Opacity','vw-boutique-pro' ),
		'section'     => 'vw_boutique_pro_slider_section',
		'type'        => 'select',
		'settings'    => 'vw_boutique_pro_slider_section_opacity_color',
		'choices' => array(
	      '0' =>  esc_attr('0','vw-boutique-pro'),
	      '0.1' =>  esc_attr('0.1','vw-boutique-pro'),
	      '0.2' =>  esc_attr('0.2','vw-boutique-pro'),
	      '0.3' =>  esc_attr('0.3','vw-boutique-pro'),
	      '0.4' =>  esc_attr('0.4','vw-boutique-pro'),
	      '0.5' =>  esc_attr('0.5','vw-boutique-pro'),
	      '0.6' =>  esc_attr('0.6','vw-boutique-pro'),
	      '0.7' =>  esc_attr('0.7','vw-boutique-pro'),
	      '0.8' =>  esc_attr('0.8','vw-boutique-pro'),
	      '0.9' =>  esc_attr('0.9','vw-boutique-pro'),
	      '1' =>  esc_attr('1','vw-boutique-pro')
		),
	));

	// Other Settings
	$wp_customize->add_setting('vw_boutique_pro_slide_delay',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field',
	));
	$wp_customize->add_control('vw_boutique_pro_slide_delay',array(
		'label'	=> __('Slide Delay','vw-boutique-pro'),
		'section'	=> 'vw_boutique_pro_slider_section',
		'description' => __('interval is in milliseconds. 1000 = 1 second -> so 1000 * 10 = 10 seconds', 'vw-boutique-pro'),
		'type'		=> 'number'
	));

	$wp_customize->add_setting( 'vw_boutique_pro_slide_remove_fade',
     array(
        'default' => 1,
        'transport' => 'refresh',
        'sanitize_callback' => 'vw_boutique_pro_switch_sanitization'
     )
    );
   
    $wp_customize->add_control( new vw_boutique_pro_Toggle_Switch_Custom_control( $wp_customize, 'vw_boutique_pro_slide_remove_fade',
       array(
          'label' => esc_html__( 'Fade Effect', 'vw-boutique-pro' ),
          'section' => 'vw_boutique_pro_slider_section'
       )
    ));

	// This is Slider Text Color picker setting

	$wp_customize->add_setting( 'vw_boutique_pro_slider_section_main_heading_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_slider_section_main_heading_color', array(
		'label' => __('Slider Main Heading Color', 'vw-boutique-pro'),
		'section' => 'vw_boutique_pro_slider_section',
		'settings' => 'vw_boutique_pro_slider_section_main_heading_color',
	)));
	$wp_customize->add_setting('vw_boutique_pro_slider_section_main_heading_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'vw_boutique_pro_slider_section_main_heading_font_family', array(
	    'section'  => 'vw_boutique_pro_slider_section',
	    'label'    => __( 'Slider Main Heading Fonts','vw-boutique-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	   $wp_customize->add_setting('vw_boutique_pro_slider_section_main_heading_font_size',array(
    'default' => '',
    'sanitize_callback' => 'sanitize_text_field',
  ));
  $wp_customize->add_control('vw_boutique_pro_slider_section_main_heading_font_size',array(
    'label' => __('Slider Main Heading Font Size in px','vw-boutique-pro'),
    'section' => 'vw_boutique_pro_slider_section',
    'setting' => 'vw_boutique_pro_slider_section_main_heading_font_size',
    'type'  => 'text'
  ));
	$wp_customize->add_setting( 'vw_boutique_pro_slider_section_text_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_slider_section_text_color', array(
		'label' => __('Slider Text Color', 'vw-boutique-pro'),
		'section' => 'vw_boutique_pro_slider_section',
		'settings' => 'vw_boutique_pro_slider_section_text_color',
	)));
	$wp_customize->add_setting('vw_boutique_pro_slider_section_text_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'vw_boutique_pro_slider_section_text_font_family', array(
	    'section'  => 'vw_boutique_pro_slider_section',
	    'label'    => __( 'Slider Text Fonts','vw-boutique-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	$wp_customize->add_setting('vw_boutique_pro_slider_section_text_font_size',array(
    'default' => '',
    'sanitize_callback' => 'sanitize_text_field',
  ));
  $wp_customize->add_control('vw_boutique_pro_slider_section_text_font_size',array(
    'label' => __('Slider Text Font Size in px','vw-boutique-pro'),
    'section' => 'vw_boutique_pro_slider_section',
    'setting' => 'vw_boutique_pro_slider_section_text_font_size',
    'type'  => 'text'
  ));
	$wp_customize->add_setting( 'vw_boutique_pro_slider_section_button_text_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_slider_section_button_text_color', array(
		'label' => __('Slider Button Text Color', 'vw-boutique-pro'),
		'section' => 'vw_boutique_pro_slider_section',
		'settings' => 'vw_boutique_pro_slider_section_button_text_color',
	)));
	$wp_customize->add_setting('vw_boutique_pro_slider_section_button_text_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'vw_boutique_pro_slider_section_button_text_font_family', array(
	    'section'  => 'vw_boutique_pro_slider_section',
	    'label'    => __( 'Slider Button Text Fonts','vw-boutique-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	$wp_customize->add_setting('vw_boutique_pro_slider_section_button_text_font_size',array(
    'default' => '',
    'sanitize_callback' => 'sanitize_text_field',
  	));
  	$wp_customize->add_control('vw_boutique_pro_slider_section_button_text_font_size',array(
    'label' => __('Slider Button Font Size in px','vw-boutique-pro'),
    'section' => 'vw_boutique_pro_slider_section',
    'setting' => 'vw_boutique_pro_slider_section_button_text_font_size',
    'type'  => 'text'
  	));
  	$wp_customize->add_setting( 'vw_boutique_pro_slider_section_button_bg_olor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_slider_section_button_bg_olor', array(
		'label' => __('Slider Button Background Color', 'vw-boutique-pro'),
		'section' => 'vw_boutique_pro_slider_section',
		'settings' => 'vw_boutique_pro_slider_section_button_bg_olor',
	)));
	$wp_customize->add_setting( 'vw_boutique_pro_slider_section_button_bg_hovercolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_slider_section_button_bg_hovercolor', array(
		'label' => __('Slider Button Hover Background Color', 'vw-boutique-pro'),
		'section' => 'vw_boutique_pro_slider_section',
		'settings' => 'vw_boutique_pro_slider_section_button_bg_hovercolor',
	)));

	$wp_customize->add_setting( 'vw_boutique_pro_slider_section_button_hover_text_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_slider_section_button_hover_text_color', array(
		'label' => __('Slider Button Text Hover Color', 'vw-boutique-pro'),
		'section' => 'vw_boutique_pro_slider_section',
		'settings' => 'vw_boutique_pro_slider_section_button_hover_text_color',
	)));

  	$wp_customize->add_setting( 'vw_boutique_pro_slider_social_icon_color_settings',
    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'vw_boutique_pro_text_sanitization'
	));
	$wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_boutique_pro_slider_social_icon_color_settings',
	    array(
	    'label' => __('Slider Icon Color And Font Settings','vw-boutique-pro'),
	    'section' => 'vw_boutique_pro_slider_section'
	)));

	$wp_customize->add_setting( 'vw_boutique_pro_slider_social_icons_color', array(
	      'default' => '',
	      'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_slider_social_icons_color', array(
	      'label' => __('Social Icons Color', 'vw-boutique-pro'),
	      'section' => 'vw_boutique_pro_slider_section',
	      'settings' => 'vw_boutique_pro_slider_social_icons_color',
	)));
	$wp_customize->add_setting( 'vw_boutique_pro_slider_social_icons_hover_color', array(
	      'default' => '',
	      'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_slider_social_icons_hover_color', array(
	      'label' => __('Social Icons Hover Color', 'vw-boutique-pro'),
	      'section' => 'vw_boutique_pro_slider_section',
	      'settings' => 'vw_boutique_pro_slider_social_icons_hover_color',
	)));

	$wp_customize->add_setting( 'vw_boutique_pro_slider_nav_color', array(
	      'default' => '',
	      'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_slider_nav_color', array(
	      'label' => __('Slider Nav Icon Color', 'vw-boutique-pro'),
	      'section' => 'vw_boutique_pro_slider_section',
	      'settings' => 'vw_boutique_pro_slider_nav_color',
	)));
	$wp_customize->add_setting( 'vw_boutique_pro_slider_nav_bgcolor', array(
	      'default' => '',
	      'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_slider_nav_bgcolor', array(
	      'label' => __('Slider Nav Background Color', 'vw-boutique-pro'),
	      'section' => 'vw_boutique_pro_slider_section',
	      'settings' => 'vw_boutique_pro_slider_nav_bgcolor',
	)));
	$wp_customize->add_setting( 'vw_boutique_pro_slider_nav_hover_color', array(
	      'default' => '',
	      'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_slider_nav_hover_color', array(
	      'label' => __('Slider Nav Icon Hover Color', 'vw-boutique-pro'),
	      'section' => 'vw_boutique_pro_slider_section',
	      'settings' => 'vw_boutique_pro_slider_nav_hover_color',
	)));

	$wp_customize->add_setting( 'vw_boutique_pro_slider_nav_hover_bgcolor', array(
	      'default' => '',
	      'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_slider_nav_hover_bgcolor', array(
	      'label' => __('Slider Nav Hover Background Color', 'vw-boutique-pro'),
	      'section' => 'vw_boutique_pro_slider_section',
	      'settings' => 'vw_boutique_pro_slider_nav_hover_bgcolor',
	)));

	$wp_customize->add_setting( 'vw_boutique_pro_slider_dot_color', array(
	      'default' => '',
	      'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_slider_dot_color', array(
	      'label' => __('Slider Dot Background Color', 'vw-boutique-pro'),
	      'section' => 'vw_boutique_pro_slider_section',
	      'settings' => 'vw_boutique_pro_slider_dot_color',
	)));
	$wp_customize->add_setting( 'vw_boutique_pro_slider_dot_border_color_color', array(
	      'default' => '',
	      'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_slider_dot_border_color_color', array(
	      'label' => __('Slider Dot Border Color', 'vw-boutique-pro'),
	      'section' => 'vw_boutique_pro_slider_section',
	      'settings' => 'vw_boutique_pro_slider_dot_border_color_color',
	)));

	$wp_customize->add_setting( 'vw_boutique_pro_slider_active_dot_bgcolor', array(
	      'default' => '',
	      'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_slider_active_dot_bgcolor', array(
	      'label' => __('Slider Active Dot Background Color', 'vw-boutique-pro'),
	      'section' => 'vw_boutique_pro_slider_section',
	      'settings' => 'vw_boutique_pro_slider_active_dot_bgcolor',
	)));

	$wp_customize->add_setting( 'vw_boutique_pro_slider_active_dot_border_color', array(
	      'default' => '',
	      'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_slider_active_dot_border_color', array(
	      'label' => __('Slider Active Dot Border Color', 'vw-boutique-pro'),
	      'section' => 'vw_boutique_pro_slider_section',
	      'settings' => 'vw_boutique_pro_slider_active_dot_border_color',
	)));

	
	$wp_customize->add_setting( 'vw_boutique_pro_slider_arrows',
   array(
      'default' => 1,
      'transport' => 'refresh',
      'sanitize_callback' => 'vw_boutique_pro_switch_sanitization'
   	));
 
  	$wp_customize->add_control( new vw_boutique_pro_Toggle_Switch_Custom_control( $wp_customize, 'vw_boutique_pro_slider_arrows',
     array(
        'label' => esc_html__( 'Show/Hide Slider Nav', 'vw-boutique-pro' ),
        'section' => 'vw_boutique_pro_slider_section'
    )));
  	$wp_customize->add_setting( 'vw_boutique_pro_slider_dots',
   array(
      'default' => 1,
      'transport' => 'refresh',
      'sanitize_callback' => 'vw_boutique_pro_switch_sanitization'
   	));
 
  	$wp_customize->add_control( new vw_boutique_pro_Toggle_Switch_Custom_control( $wp_customize, 'vw_boutique_pro_slider_dots',
     array(
        'label' => esc_html__( 'Show/Hide Slider Dots', 'vw-boutique-pro' ),
        'section' => 'vw_boutique_pro_slider_section'
    )));
?>