<?php 
$wp_customize->add_section('vw_boutique_pro_topbar_section',array(
	'title'	=> __('Topbar','vw-boutique-pro'),
	'description'	=> __('Topbar Settings','vw-boutique-pro'),
	'priority'	=> null,
	'panel' => 'vw_boutique_pro_panel_id',
));
$wp_customize->add_setting('vw_boutique_pro_topbar_enabledisable',array(
      'default'=> 'Enable',
      'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
));
$wp_customize->add_control('vw_boutique_pro_topbar_enabledisable', array(
      'type' => 'radio',
      'label' => 'Do you want this section',
      'section' => 'vw_boutique_pro_topbar_section',
      'choices' => array(
          'Enable' => 'Enable',
          'Disable' => 'Disable'
      ),
));
$wp_customize->selective_refresh->add_partial( 'vw_boutique_pro_topbar_enabledisable', array(
    'selector' => '#topbar .span',
    'render_callback' => 'vw_boutique_pro_customize_partial_vw_boutique_pro_topbar_enabledisable',
));
$wp_customize->add_setting( 'vw_boutique_pro_topbar_bg_settings',
    array(
    'default' => '',
    'transport' => 'postMessage',
    'sanitize_callback' => 'vw_boutique_pro_text_sanitization'
));
$wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_boutique_pro_topbar_bg_settings',
    array(
    'label' => __('Background Settings','vw-boutique-pro'),
    'section' => 'vw_boutique_pro_topbar_section'
)));
$wp_customize->add_setting('vw_boutique_pro_topbar_bg_color', array(
  'default' => '',
  'sanitize_callback' => 'sanitize_hex_color'
));
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_topbar_bg_color',array(
  'label' => __('Background Color', 'vw-boutique-pro'),
  'description'   => __('Either add background color or background image, if you add both background color will be top most priority','vw-boutique-pro'),
  'section' => 'vw_boutique_pro_topbar_section',
  'settings' => 'vw_boutique_pro_topbar_bg_color',
)));
$wp_customize->add_setting( 'vw_boutique_pro_topbar_content_settings',
    array(
    'default' => '',
    'transport' => 'postMessage',
    'sanitize_callback' => 'vw_boutique_pro_text_sanitization'
));
$wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_boutique_pro_topbar_content_settings',
    array(
    'label' => __('Topbar Content Settings','vw-boutique-pro'),
    'section' => 'vw_boutique_pro_topbar_section'
)));
$wp_customize->add_setting('vw_boutique_pro_topbar_free_shipping_title',array(
	'default'	=> '',
	'sanitize_callback'	=> 'sanitize_text_field'
));
$wp_customize->add_control('vw_boutique_pro_topbar_free_shipping_title',array(
	'label'	=> __('Free Shipping Title','vw-boutique-pro'),
	'section'	=> 'vw_boutique_pro_topbar_section',
	'setting'	=> 'vw_boutique_pro_topbar_free_shipping_title',
	'type'		=> 'text'
));	

$wp_customize->add_setting('vw_boutique_pro_topbar_money_back_title',array(
	'default'	=> '',
	'sanitize_callback'	=> 'sanitize_text_field'
));
$wp_customize->add_control('vw_boutique_pro_topbar_money_back_title',array(
	'label'	=> __('Money Back Title','vw-boutique-pro'),
	'section'	=> 'vw_boutique_pro_topbar_section',
	'setting'	=> 'vw_boutique_pro_topbar_money_back_title',
	'type'		=> 'text'
));	
$wp_customize->add_setting('vw_boutique_pro_topbar_online_support_title',array(
	'default'	=> '',
	'sanitize_callback'	=> 'sanitize_text_field'
));
$wp_customize->add_control('vw_boutique_pro_topbar_online_support_title',array(
	'label'	=> __('Online Support Title','vw-boutique-pro'),
	'section'	=> 'vw_boutique_pro_topbar_section',
	'setting'	=> 'vw_boutique_pro_topbar_online_support_title',
	'type'		=> 'text'
));	

$wp_customize->add_setting('vw_boutique_pro_topbar_contact_title',array(
	'default'	=> '',
	'sanitize_callback'	=> 'sanitize_text_field'
));
$wp_customize->add_control('vw_boutique_pro_topbar_contact_title',array(
	'label'	=> __('Contact Title','vw-boutique-pro'),
	'section'	=> 'vw_boutique_pro_topbar_section',
	'setting'	=> 'vw_boutique_pro_topbar_contact_title',
	'type'		=> 'text'
));	
$wp_customize->add_setting('vw_boutique_pro_topbar_mail_title',array(
	'default'	=> '',
	'sanitize_callback'	=> 'sanitize_text_field'
));
$wp_customize->add_control('vw_boutique_pro_topbar_mail_title',array(
	'label'	=> __('Mail Title','vw-boutique-pro'),
	'section'	=> 'vw_boutique_pro_topbar_section',
	'setting'	=> 'vw_boutique_pro_topbar_mail_title',
	'type'		=> 'text'
));	

$wp_customize->add_setting( 'vw_boutique_pro_topbar_color_setting',
    array(
    'default' => '',
    'transport' => 'postMessage',
    'sanitize_callback' => 'vw_boutique_pro_text_sanitization'
));
$wp_customize->add_control( new VW_Themes_Seperator_custom_Control( $wp_customize, 'vw_boutique_pro_topbar_color_setting',
    array(
    'label' => __('Color And Fonts Settings','vw-boutique-pro'),
    'section' => 'vw_boutique_pro_topbar_section'
)));

    $wp_customize->add_setting('vw_boutique_pro_topbar_content_color', array(
      'default' => '',
      'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_topbar_content_color', array(
      'label' => __('Topbar Content Color', 'vw-boutique-pro'),
      'section' => 'vw_boutique_pro_topbar_section',
      'settings' => 'vw_boutique_pro_topbar_content_color',
  )));
  $wp_customize->add_setting('vw_boutique_pro_topbar_content_font_family',array(
    'default' => '',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'vw_boutique_pro_sanitize_choices'
  ));
  $wp_customize->add_control(
      'vw_boutique_pro_topbar_content_font_family', array(
      'section'  => 'vw_boutique_pro_topbar_section',
      'label'    => __( 'Topbar Content Font Family','vw-boutique-pro'),
      'type'     => 'select',
      'choices'  => $font_array,
  ));
    $wp_customize->add_setting('vw_boutique_pro_topbar_content_font_size',array(
'default' => '',
'sanitize_callback' => 'sanitize_text_field',
));
$wp_customize->add_control('vw_boutique_pro_topbar_content_font_size',array(
'label' => __('Topbar Content Font Size in px','vw-boutique-pro'),
'section' => 'vw_boutique_pro_topbar_section',
'setting' => 'vw_boutique_pro_topbar_content_font_size',
'type'  => 'text'
));

$wp_customize->add_setting('vw_boutique_pro_topbar_content_border_color', array(
      'default' => '',
      'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'vw_boutique_pro_topbar_content_border_color', array(
      'label' => __('Topbar Content Border Color', 'vw-boutique-pro'),
      'section' => 'vw_boutique_pro_topbar_section',
      'settings' => 'vw_boutique_pro_topbar_content_border_color',
  )));
?>