<?php
//about theme info
add_action( 'admin_menu', 'vw_boutique_pro_gettingstarted' );
function vw_boutique_pro_gettingstarted() {    	
	add_theme_page( esc_html__('Get Started', 'vw-boutique-pro'), esc_html__('Get Started', 'vw-boutique-pro'), 'edit_theme_options', 'vw_boutique_pro_guide', 'vw_boutique_pro_mostrar_guide');   
}
function vw_boutique_pro_notice(){
    global $pagenow;
    if ( is_admin() && ('themes.php' == $pagenow) && isset( $_GET['activated'] ) ) {?>
	    <div class="notice notice-success is-dismissible getting_started">
			<div class="notice-content">
				<p><img src="<?php echo get_template_directory_uri() ?>/inc/getstarted/images/final-logo.png" width="200" role="img"></p>
				<h2><?php _e( 'Thanks for installing VW Boutique Pro theme, you rock!', 'vw-boutique-pro' ) ?> </h2>
				<p><?php _e( 'VW Boutique Pro now supports colors, typography custom links for custom post types. Take benefit of a variety of features, functionalities, elements, and an exclusive set of customization options to build your own professional website', 'vw-boutique-pro' ) ?></p>
				<p><?php _e( "Please Click on the link below to know the theme setup information", 'vw-boutique-pro' ) ?></p>
				<p><a href="<?php echo esc_url( admin_url( 'themes.php?page=vw_boutique_pro_guide' ) ); ?>" class="button button-primary"><?php _e( 'Getting Started With VW Boutique Pro', 'vw-boutique-pro' ); ?></a></p>
			</div>
		</div>
	<?php }
}
add_action('admin_notices', 'vw_boutique_pro_notice');

add_action( 'admin_notices', 'vw_boutique_pro_r_review' );
function vw_boutique_pro_r_review() {

	// Verify that we can do a check for reviews.
	$review = get_option( 'vw_boutique_pro_r_review' );
	$time	= time();
	$load	= false;
	if ( ! $review ) {
		$review = array(
			'time' 		=> $time,
			'dismissed' => false
		);
		add_option('vw_boutique_pro_r_review', $review);
		//$load = true;
	} else {
		// Check if it has been dismissed or not.
		if ( (isset( $review['dismissed'] ) && ! $review['dismissed']) && (isset( $review['time'] ) && (($review['time'] + (DAY_IN_SECONDS * 2)) <= $time)) ) {
			$load = true;
		}
	}
	// If we cannot load, return early.
	if ( ! $load ) {
		return;
	}

	// We have a candidate! Output a review message.
	?>
	<div class="notice notice-info is-dismissible vw_boutique_pro-acc-r-review-notice">
		<div class="vw_notice_outer">
			<img class="vw-logo_img" src="<?php echo get_template_directory_uri() ?>/inc/getstarted/images/V-Logo.png" role="img" />
		</div>
		<p class="vw_review_head"><?php echo esc_html('Hi! We saw you have been using VW Boutique Pro theme for a few days and wanted to ask for your help to make the theme better.We just need a minute of your time to rate the theme. Thank you!'); ?></p>
		<p class="vw_review_buttons"> 
			<a href="<?php echo esc_url (VW_BOUTIQUE_PRO_REVIEW); ?>" class="vw_boutique_pro-acc-r-dismiss-review-notice vw_boutique_pro-acc-r-review-out vw_review_buttons_a" target="_blank" rel="noopener"><?php echo esc_html('Rate the Theme','vw-boutique-pro'); ?></a>
			<a href="#"  class="vw_boutique_pro-acc-r-dismiss-review-notice vw_boutique_pro-rate-later vw_review_buttons_a" target="_self" rel="noopener"><?php echo esc_html( 'Maybe Later', '' ); ?></a>
			<a href="#" class="vw_boutique_pro-acc-r-dismiss-review-notice vw_boutique_pro-rated vw_review_buttons_a" target="_self" rel="noopener"><?php echo esc_html( 'I already did', '' ); ?></a>
		</p>
	</div>
	<script type="text/javascript">
		jQuery(document).ready( function($) {
			$(document).on('click', '.vw_boutique_pro-acc-r-dismiss-review-notice, .vw_boutique_pro-acc-r-dismiss-notice .notice-dismiss', function( event ) {
				if ( $(this).hasClass('vw_boutique_pro-acc-r-review-out') ) {
					var vw_boutique_pro_rate_data_val = "1";
				}
				if ( $(this).hasClass('vw_boutique_pro-rate-later') ) {
					var vw_boutique_pro_rate_data_val =  "2";
					event.preventDefault();
				}
				if ( $(this).hasClass('vw_boutique_pro-rated') ) {
					var vw_boutique_pro_rate_data_val =  "3";
					event.preventDefault();
				}

				$.post( ajaxurl, {
					action: 'vw_boutique_pro_r_dismiss_reviews',
					vw_boutique_pro_rate_data_acc_r : vw_boutique_pro_rate_data_val
				});
				
				$('.vw_boutique_pro-acc-r-review-notice').hide();
				//location.reload();
			});
		});
	</script>
	<?php
}

add_action( 'wp_ajax_vw_boutique_pro_r_dismiss_reviews', 'vw_boutique_pro_r_dismiss_reviews' );
function vw_boutique_pro_r_dismiss_reviews() {
	if ( ! $review ) {
		$review = array();
	}
	
	if($_POST['vw_boutique_pro_rate_data_acc_r']=="1"){
		$review['time'] 	 = time();
		$review['dismissed'] = false;
		
	}
	if($_POST['vw_boutique_pro_rate_data_acc_r']=="2"){
		$review['time'] 	 = time();
		$review['dismissed'] = false;
		
	}
	if($_POST['vw_boutique_pro_rate_data_acc_r']=="3"){
		$review['time'] 	 = time();
		$review['dismissed'] = true;
		
	}
	update_option( 'vw_boutique_pro_r_review', $review );
	die;
}

// Add a Custom CSS file to WP Admin Area
function vw_boutique_pro_admin_theme_style() {
   wp_enqueue_style( 'vw-boutique-pro-font', vw_boutique_pro_admin_font_url(), array() );
   wp_enqueue_style('custom-admin-style', get_template_directory_uri(). '/inc/getstarted/getstart.css');
   wp_enqueue_script('tabs', get_template_directory_uri() . '/inc/getstarted/js/tab.js');
}
add_action('admin_enqueue_scripts', 'vw_boutique_pro_admin_theme_style');

// Theme Font URL
function vw_boutique_pro_admin_font_url() {
	$font_url = '';
	$font_family = array();
	$font_family[] = 'Muli:300,400,600,700,800,900';

	$query_args = array(
		'family'	=> urlencode(implode('|',$font_family)),
	);
	$font_url = add_query_arg($query_args,'//fonts.googleapis.com/css');
	return $font_url;
}

//guidline for about theme
function vw_boutique_pro_mostrar_guide() { 
	//custom function about theme customizer
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme( 'vw-boutique-pro' );
?>

<div class="wrapper-info">
    <div class="col-left">
    	<h2><?php _e( 'Welcome to VW Boutique Pro', 'vw-boutique-pro' ); ?> <span class="version">Version: <?php echo esc_html($theme['Version']);?></span></h2>
    	<p><?php _e('All our WordPress themes are modern, minimalist, 100% responsive, seo-friendly,feature-rich, and multipurpose that best suit designers, bloggers and other professionals who are working in the creative fields.','vw-boutique-pro'); ?></p>
    </div>
    <div class="tab-sec">
		<div class="tab">
		  	<button class="tablinks" onclick="openCity(event, 'theme_info')"><?php _e( 'Getting Started', 'vw-boutique-pro' ); ?></button> 
		  	<button class="tablinks" onclick="openCity(event, 'demo_importer')"><?php echo esc_html( 'Demo Content Importer', 'vw-boutique-pro' ); ?></button>
		  	<button class="tablinks" onclick="openCity(event, 'plugins')"><?php _e( 'Plugins', 'vw-boutique-pro' ); ?></button>
		 	<button class="tablinks" onclick="openCity(event, 'theme_offer_us')"><?php esc_html_e( 'Hire Us', 'vw-boutique-pro' ); ?></button>
		 	<button class="tablinks" onclick="openCity(event, 'others_theme')"><?php esc_html_e( 'Other Products', 'vw-boutique-pro' ); ?></button>
		</div>

		<!-- Tab content -->
		<div id="theme_info" class="tabcontent open">
			
		  	<div class="col-left-inner">
		  		<h3><?php _e( 'VW Boutique Pro Information', 'vw-boutique-pro' ); ?></h3>
				<hr class="h3hr">
		  		<h4><?php _e( 'Theme Documentation', 'vw-boutique-pro' ); ?></h4>
				<p><?php _e( 'If you need any assistance regarding setting up and configuring the Theme, our documentation is there.', 'vw-boutique-pro' ); ?></p>
				<div class="info-link">
					<a href="<?php echo esc_url( VW_BOUTIQUE_PRO_THEME_DOC ); ?>" target="_blank"> <?php _e( 'Documentation', 'vw-boutique-pro' ); ?></a>
				</div>
				<hr>
				<h4><?php _e('Theme Customizer', 'vw-boutique-pro'); ?></h4>
				<p> <?php _e('To begin customizing your website, start by clicking "Customize".', 'vw-boutique-pro'); ?></p>
				<div class="info-link">
					<a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php _e('Customizing', 'vw-boutique-pro'); ?></a>
				</div>
				<hr>				
				<h4><?php _e('Having Trouble, Need Support?', 'vw-boutique-pro'); ?></h4>
				<p> <?php _e('Our dedicated team is well prepared to help you out in case of queries and doubts regarding our theme.', 'vw-boutique-pro'); ?></p>
				<div class="info-link">
					<a href="<?php echo esc_url( VW_BOUTIQUE_PRO_SUPPORT ); ?>" target="_blank"><?php _e('Support Forum', 'vw-boutique-pro'); ?></a>
				</div>
				<hr>
				<h4><?php _e('Reviews & Testimonials', 'vw-boutique-pro'); ?></h4>
				<p> <?php _e('All the features and aspects of this WordPress Theme are phenomenal. I\'d recommend this theme to all.', 'vw-boutique-pro'); ?>  </p>
				<div class="info-link">
					<a href="<?php echo esc_url( VW_BOUTIQUE_PRO_REVIEW ); ?>" target="_blank"><?php _e('Reviews', 'vw-boutique-pro'); ?></a>
				</div>
		  	</div>
		  	<div class="col-right-inner">
			  <h3><?php _e('How to set up Home Page Template','vw-boutique-pro'); ?></h3>
			  <hr class="h3hr">
				<p><?php _e('Follow these instructions to setup Home page.','vw-boutique-pro'); ?></p>
                 <ul>
                  <li><?php _e('1. Create a Page to set template:  Go to ','vw-boutique-pro'); ?>
                  <b><?php _e('Dashboard &gt;&gt; Pages &gt;&gt; Add New Page','vw-boutique-pro'); ?></b>.
                  <p><?php _e('Label it "home" or anything as you wish. Then select template "home-page" from template dropdown.','vw-boutique-pro'); ?></p></li>
                  <img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/home-page-template.png" alt="" role="img" />
                  <p></p><span class="strong"><?php _e('2. Set the front page:','vw-boutique-pro'); ?></span><?php _e(' Go to ','vw-boutique-pro'); ?>
				  <b><?php _e(' Settings -&gt; Reading --&gt; Set the front page display static page to home page ','vw-boutique-pro'); ?></b></p>
                  <img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/set-front-page.png" alt="" role="img" />
                  <p><?php _e(' Once you are done with this, you can see all the demo content on front page. ','vw-boutique-pro'); ?></p>
                 </ul>
		  	</div>
		</div>
		<div id="demo_importer" class="tabcontent">
			<h3><?php esc_html_e('Do Before Demo Importer','vw-boutique-pro'); ?></h3>
			
			<ol class="importer-note">
				<li>
					<?php esc_html_e('Upload and Activate Woocommerce, VW Social Media ,YITH WooCommerce Wishlist And Contact Form 7 plugin then run demo importer to display demo contents','vw-boutique-pro'); ?>
				</li>
			</ol>
			<h3><?php _e( 'Click the below run importer button to import demo content', 'vw-boutique-pro' ); ?></h3>
			<hr class="h3hr">
			<?php /* Get Started. */ 
				require get_parent_theme_file_path( '/inc/getstarted/demo-importer.php' );
			?>
		</div>
		<div id="plugins" class="tabcontent">
			<h2 class="dashboard-install-title"><?php _e(' Install Required Plugins ','vw-boutique-pro'); ?></h2>
            <div class="col-left-inner">
				<ul>
					<p><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" /><b> <?php _e(' Contact Form 7 Plugin:','vw-boutique-pro'); ?></b> <?php _e('Used for Adding Contact Forms','vw-boutique-pro'); ?></p>
					<p> <img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" /><b> <?php _e(' VW Social Media Plugin:','vw-boutique-pro'); ?></b> <?php _e('Used For Showing Social Media Icons','vw-boutique-pro'); ?></p>
					<p> <img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" /><b> <?php _e(' Woocommerce:','vw-boutique-pro'); ?></b> <?php _e('Used For Showing Product Details','vw-boutique-pro'); ?></p>
					<p> <img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" /><b> <?php _e(' YITH WooCommerce Wishlist:','vw-boutique-pro'); ?></b> <?php _e('Used For Adding Product In Wishlist','vw-boutique-pro'); ?></p>
				</ul>
			</div>
			<div class="col-right-inner">
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/contact-form.png" alt="" />
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/social.png" alt="" />
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/wocommerce.png" alt="" />
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/wishlist.png" alt="" />
         	</div>
	     	<div class="posttype-plugin">
		     	<h2 id="heading"><?php _e('Set up VW Boutique Pro Plugins','vw-boutique-pro'); ?></h2>
		     	<p><b><?php _e('Plugins are ways to extend and add to the functionality that already exists in WordPress.','vw-boutique-pro'); ?></b></p>
		     	<ol>
		     		<li><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" /> <?php _e('First, you need to download the plugin from the source (which will be a zip file vw-boutique-pro-posttype)).','vw-boutique-pro'); ?> </li>
		     		<li><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" /> <?php _e('Next, you need to go to WordPress admin area and visit Plugins &#187; Add New.','vw-boutique-pro'); ?>  </b></li>
		     		<figure class="img-paraloid"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/uploadplug.png" alt="" /></figure>
		     		<li><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" /> <?php _e('After that, click on the ','vw-boutique-pro'); ?> <b><?php _e('Upload Plugin button','vw-boutique-pro'); ?></b> <?php _e('on top of the page.','vw-boutique-pro'); ?></li>
		     		<li><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" /> <?php _e('This will bring you to the plugin upload page.','vw-boutique-pro'); ?> </li>
		     		<li><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" />  <?php _e('Here, you need to click on the choose file button and select the plugin file you downloaded earlier to your computer.','vw-boutique-pro'); ?></li>
		     		<figure class="img-paraloid pull-left"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/pluginuploadpage.png" alt="" /></figure>
		     		<li><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" /> <?php _e(' After you have selected the file, you need to click on the install now button.','vw-boutique-pro'); ?></li>
		     		<li><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" />  <?php _e(' WordPress will now upload the plugin file from your computer and install it for you. You will see a success message like this after installation is finished.','vw-boutique-pro'); ?></li>
		     		<li><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" />   <?php _e(' Once installed, you need to click on the Activate Plugin link to start using the plugin.','vw-boutique-pro'); ?></li>
		     		<li><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" /> <?php _e('  As soon as you activate plugin, you will get Team, Testimonials, and Properties in your Admin Navigation Pannel.','vw-boutique-pro'); ?></li>
		        </ol>
	     	</div>
		</div>
		<div id="theme_offer_us" class="tabcontent">
			<div class="theme-offer">
				<a href="<?php echo esc_url(VW_BOUTIQUE_PRO_CONTACT); ?>" target="_blank"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/theme_offers.png" alt="" /></a>
			</div>
		</div>
		<div id="others_theme" class="tabcontent">
			<h3><?php esc_html_e( 'You may also like some of our products', 'vw-boutique-pro' ); ?></h3>
			<hr class="h3hr">
			<div class="row-bar">
				<div class="col2-first">
					<h3><?php esc_html_e('SHOPIFY THEME','vw-boutique-pro'); ?></h3>
					<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/shopify.png" alt="" />
					<h4><b><?php esc_html_e('VW SHOWCASE SHOPIFY THEME','vw-boutique-pro'); ?></b></h4>
					<p><?php esc_html_e('If you want to run an online store, VW Showcase is the theme for you. Set your business statement by emphasizing on your products that could be anything like electronic items, home appliances, fashion accessories etc.','vw-boutique-pro'); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( VW_BOUTIQUE_PRO_SHOPIFY ); ?>" target="_blank"><?php esc_html_e( 'Live Demo', 'vw-boutique-pro' ); ?></a>
					</div>
				</div>
				<div class="col2-first">
					<h3><?php esc_html_e('MOODLE THEME','vw-boutique-pro'); ?></h3>
					<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/moodle.png" alt="" />
					<h4><b><?php esc_html_e('TALEEM RESPONSIVE LMS PRODUCT','vw-boutique-pro'); ?></b></h4>
					<p><?php esc_html_e('Taleem is a responsive Lms Product developed to be used by schools, colleges, universities, coaching institutes, online course providers and similar websites.','vw-boutique-pro'); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( VW_BOUTIQUE_PRO_MOODLE ); ?>" target="_blank"><?php esc_html_e( 'Live Demo', 'vw-boutique-pro' ); ?></a>
					</div>
				</div>
				<div class="col2-first">
					<h3><?php esc_html_e('MOBILE APP','vw-boutique-pro'); ?></h3>
					<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/mobile_app.png" alt="" />
					<h4><b><?php esc_html_e('VW WOOCOMMERCE MOBILE APP','vw-boutique-pro'); ?></b></h4>
					<p><?php esc_html_e('Give your customer freedom and convenience of shopping from mobile through your own mobile commerce App. This app will be fully synchronised with your woo-commerce store. Place orders easily and set extra mobile benefits.','vw-boutique-pro'); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( VW_BOUTIQUE_PRO_MOBILE_APP ); ?>" target="_blank"><?php esc_html_e( 'Live Demo', 'vw-boutique-pro' ); ?></a>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php } ?>