<?php
/**
 * The template for displaying Search Results pages.
 *
 * @package vw-boutique-pro
 */

$page_title_style="";
if(get_theme_mod('vw_boutique_pro_page_title_content_option')=='Center'){
    $page_title_style='text-align:center;';
}else if(get_theme_mod('vw_boutique_pro_page_title_content_option')=='Left')
{
	$page_title_style='text-align:left;';
}else if(get_theme_mod('vw_boutique_pro_page_title_content_option')=='Right')
{
	$page_title_style='text-align:right;';
}else{
	$page_title_style='';
}

get_header(); ?>

<div class="container">
	<?php if ( defined( 'VW_TITLE_BANNER_IMAGE_VERSION' ) ){
		echo do_shortcode( '[vw-title-banner]' );
	}else { ?>
		<h1 class="entry-title" style="<?php echo esc_attr($page_title_style); ?>"><?php printf( __( 'Results For: %s', 'vw-boutique-pro' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
	<?php } ?>
	<?php if (defined('VWBC_VERSION')){
    	echo do_shortcode( '[vw-breadcrumb]' );
	} ?>
	<main id="maincontent" class="middle-align" role="main">
		<div class="row">
			<div class="col-lg-8 col-sm-6 col-md-12">
				<div class="row search-result">
					<?php if ( have_posts() ) : ?>
						<?php while ( have_posts() ) : the_post();
							get_template_part('template-parts/post/post-content');
						endwhile; ?>
						<div class="navigation">
							<?php // Previous/next page navigation.
							  the_posts_pagination( array(
								  'prev_text'          => __( 'Previous page', 'vw-boutique-pro' ),
								  'next_text'          => __( 'Next page', 'vw-boutique-pro' ),
								  'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'vw-boutique-pro' ) . ' </span>',
							  )); ?>
						</div>
					<?php else : ?>
						<?php get_template_part( 'no-results', 'search' ); ?>
					<?php endif; ?>
				</div>
			</div>
			<div class="col-lg-4 col-md-12 col-sm-6" id="vw-sidebar">
				<?php dynamic_sidebar('sidebar-1'); ?>
			</div>
			<div class="clearfix"></div>
		</div>
	</main>
</div>
<?php get_footer(); ?>