<?php

/**
 * Template to show the content of Copyright Content
 *
 * @package vw-boutique-pro
 */ 

$about_section = get_theme_mod( 'vw_boutique_pro_footer_section_enable' );
if ( 'Disable' == $about_section ) {
  return;
}

$page_title_style="";
if(get_theme_mod('vw_boutique_pro_scroll_to_top_alignment_option')==='Center'){
    $page_title_style= 'right: 50%;left: 50%;bottom: 65px;';
}else if(get_theme_mod('vw_boutique_pro_scroll_to_top_alignment_option')==='Left'){
    $page_title_style= 'right: auto;left: 10px;';
}else if(get_theme_mod('vw_boutique_pro_scroll_to_top_alignment_option')==='Right'){
    $page_title_style= 'left: auto;right: 10px;';
}

?>
<div class="copyright">
	<div class="container">
		<div class="row copy-box">
			<div class="col-lg-5 col-md-4 col-12">				
				<div class="copyright-text">
					<p><?php echo esc_html( get_theme_mod( 'vw_boutique_pro_footer_copy' ) ); ?><span class="credit_link"><?php echo esc_html( vw_boutique_pro_credit_link() ); ?></span></p>
				</div>
			</div>
			<div class="col-lg-4 col-md-4 col-12 footer-logo">
				<?php if(get_theme_mod('vw_boutique_pro_footer_logo')!=''){ ?>
					<img src="<?php echo esc_html(get_theme_mod('vw_boutique_pro_footer_logo')); ?>" alt="<?php echo esc_html(get_theme_mod('vw_boutique_pro_footer_logo_alt_text')); ?>">
  				<?php } ?>
			</div>
			<div class="col-lg-3 col-md-4 col-12 card-img">
				<?php if(get_theme_mod('vw_boutique_pro_footer_card_image')!=''){ ?>
					<img src="<?php echo esc_html(get_theme_mod('vw_boutique_pro_footer_card_image')); ?>" alt="<?php echo esc_html(get_theme_mod('vw_boutique_pro_footer_card_image_alt_text')); ?>">
  				<?php } ?>
			</div>
		</div>
		<div class="sml-scrollup">
			<?php if( get_theme_mod( 'vw_boutique_pro_products_show_scroll_top',true) != '') { ?>
			        <a href="javascript:" id="return-to-top" style="<?php echo esc_attr($page_title_style); ?>"><i class="<?php echo esc_html(get_theme_mod('vw_boutique_pro_scroll_to_top_icon','fas fa-angle-double-up')); ?>"></i><span class="screen-reader-text"><?php esc_html_e('Return To Top','vw-boutique-pro')?></span></a>
			<?php } ?>
		</div>
	</div>
</div>