<?php
/**
 * Template part for displaying Top Bar Search
 *
 * @package vw-boutique-pro
 */ 

$about_section = get_theme_mod( 'vw_boutique_pro_product_search_enabledisable' );
if ( 'Disable' == $about_section ) {
  return;
}

if( get_theme_mod('vw_boutique_pro_product_search_bgcolor','') ) {
  $background_setting = 'background-color:'.esc_attr(get_theme_mod('vw_boutique_pro_product_search_bgcolor','')).';';
}elseif( get_theme_mod('vw_boutique_pro_product_search_bgimage','') ){
  $background_setting = 'background-image:url(\''.esc_url(get_theme_mod('vw_boutique_pro_product_search_bgimage')).'\')';
}else{
  $background_setting = '';
}
?>
<section id="topbar-search" style="<?php echo esc_attr($background_setting);  ?>">
  <div class="container">
    <div class="row">
       <?php if ( class_exists( 'WooCommerce' ) ) { ?>
      <div class="col-lg-3 col-md-6 col-sm-6 col-12">
        <div class="product-search-info">
           <?php the_widget( 'WC_Widget_Product_Search', 'title=' ); ?>
        </div>
      </div>
      <?php }?>
      <div class="col-lg-6 col-md-3 col-sm-3 col-12">
        <div class="Affiliate-logo  wow slideInDown delay-1000 animated" data-wow-duration="2s">
          <?php 
          if( has_custom_logo() ){  vw_boutique_pro_the_custom_logo();  } ?>
            <div class="logo-text">
              <?php if( get_theme_mod('vw_boutique_pro_display_title', true) != ''){ ?>
                <a class="wow slideInDown delay-1000 animated" data-wow-duration="2s" href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php esc_attr(bloginfo( 'name' )); ?></a></h1>
              <?php }
                if( get_theme_mod('vw_boutique_pro_display_tagline', true) != ''){ 
                  $description = get_bloginfo( 'description', 'display' );
                  if ( $description || is_customize_preview() ) : ?>
                    <p class="wow slideInDown delay-1000 animated" data-wow-duration="2s"><?php echo esc_html($description); ?></p>
              <?php endif; } ?>
            </div>
        </div>
      </div>
      <div class="col-lg-3 col-md-3 col-sm-3 col-12">
        <?php if ( class_exists( 'WooCommerce' ) ) { ?>
            <div class="my-account">
              <?php 
                if (is_user_logged_in()) { ?>
                  <a href="<?php echo get_permalink( wc_get_page_id( 'myaccount' ) ); ?>" class="myaccount-link">
                      <span>
                        <?php if(get_theme_mod('vw_boutique_pro_header_section_account_icon')!=''){ ?>
                          <i class="<?php echo esc_html(get_theme_mod('vw_boutique_pro_header_section_account_icon')); ?>"></i>
                        <?php } ?>
                      </span>
                  </a>
                <?php } elseif (!is_user_logged_in()) { ?>
                  <a href="<?php echo get_permalink( wc_get_page_id( 'myaccount' ) ); ?>" class="myaccount-link">
                    <span>
                        <?php if(get_theme_mod('vw_boutique_pro_header_section_account_icon')!=''){ ?>
                          <i class="<?php echo esc_html(get_theme_mod('vw_boutique_pro_header_section_account_icon')); ?>"></i>
                        <?php }?>
                      </span>
                  </a>
                <?php } if(get_theme_mod('vw_boutique_pro_header_section_cart_icon')!=''){ ?>
                <a href="<?php echo wc_get_cart_url(); ?>" class="cart-icons">
                  <i class="<?php echo esc_html(get_theme_mod('vw_boutique_pro_header_section_cart_icon')); ?> cart-icon"></i>
                  <span class="cart-value"> <?php echo wp_kses_data( WC()->cart->get_cart_contents_count() );?></span>
                </a>
            <?php } ?>
            </div>
        <?php } ?>
      </div>
    </div>
  </div>
</section>