<?php 
/**
 * Template to show the content of Topbar
 *
 * @package vw-boutique-pro
 */ 

$top_section = get_theme_mod( 'vw_boutique_pro_topbar_enabledisable' );
if ( 'Disable' == $top_section ) {
  return;
}

if( get_theme_mod('vw_boutique_pro_topbar_bg_color','') ) {
	$about_backg = 'background-color:'.esc_attr(get_theme_mod('vw_boutique_pro_topbar_bg_color','')).';';
}elseif( get_theme_mod('vw_boutique_pro_topbar_bg_image','') ){
	$about_backg = 'background-image:url(\''.esc_url(get_theme_mod('vw_boutique_pro_topbar_bg_image')).'\');';
}else{
	$about_backg= '';
}

?>
<section id="top-bar" style="<?php echo esc_attr($about_backg);?>">
	<div class="container ">
		<div class="row">
			<div class="col-lg-6 col-md-12 col-12">
				<div class="row">
					<div class="col-lg-4 col-md-4 col-12 first">
						<?php if(get_theme_mod('vw_boutique_pro_topbar_free_shipping_title')!=''){ ?>
			                <span>
			                 <?php echo esc_html(get_theme_mod('vw_boutique_pro_topbar_free_shipping_title')); ?>
			                </span>
              			<?php } ?>
					</div>
					<div class="col-lg-4 col-md-4 col-12 second">
						<?php if(get_theme_mod('vw_boutique_pro_topbar_money_back_title')!=''){ ?>
			                <span class="middle-title">
			                 <?php echo esc_html(get_theme_mod('vw_boutique_pro_topbar_money_back_title')); ?>
			                </span>
              			<?php } ?>
					</div>
					<div class="col-lg-4 col-md-4 col-12 third">
						<?php if(get_theme_mod('vw_boutique_pro_topbar_online_support_title')!=''){ ?>
			                <span>
			                 <?php echo esc_html(get_theme_mod('vw_boutique_pro_topbar_online_support_title')); ?>
			                </span>
              			<?php } ?>
					</div>
				</div>
			</div>
			<div class="col-lg-6 col-md-12 col-12">
				<div class="row">
					<div class="col-lg-6 col-md-4 col-12 fourth">
						<?php if(get_theme_mod('vw_boutique_pro_topbar_contact_title')!=''){ ?>
			                <span class="middle-title1">
			                 <?php echo esc_html(get_theme_mod('vw_boutique_pro_topbar_contact_title')); ?>
			                </span>
              			<?php } ?>
					</div>
					<div class="col-lg-6 col-md-4 col-12 fifth">
						<?php if(get_theme_mod('vw_boutique_pro_topbar_mail_title')!=''){ ?>
			                <span>
			                 <?php echo esc_html(get_theme_mod('vw_boutique_pro_topbar_mail_title')); ?>
			                </span>
              			<?php } ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>