<?php 
  
/**
 * Template part for displaying Video
 *
 * @package vw-appointment-pro
 */

  $section_hide = get_theme_mod( 'vw_boutique_pro_about_us_enabledisable' );
  if ( 'Disable' == $section_hide ) {
    return;
  }
  if( get_theme_mod('vw_boutique_pro_about_us_bg_color','') ) {
    $about_backg = 'background-color:'.esc_attr(get_theme_mod('vw_boutique_pro_about_us_bg_color','')).';';
  }elseif( get_theme_mod('vw_boutique_pro_about_us_bg_image','') ){
    $about_backg = 'background-image:url(\''.esc_url(get_theme_mod('vw_boutique_pro_about_us_bg_image')).'\');';
  }else{
    $about_backg= '';
  }

  $att_style="";
  $image_att = get_theme_mod( 'vw_boutique_pro_about_us_bg_image_attachment',true );
  if ( 'Scroll' == $image_att ) {
    $att_style="section_bg_scroll";
  }else{
    $att_style="section_bg_fixed";
  }

?>
<section id="about-us" style="<?php echo esc_attr($about_backg); ?>" class="<?php echo esc_attr($att_style); ?>">
  <div class="container">
    <div class="row">
      <div class="col-lg-6 col-md-12 about-us-images">
        <?php if(get_theme_mod('vw_boutique_pro_about_us_image')!=''){ ?>
              <img src="<?php echo esc_url(get_theme_mod('vw_boutique_pro_about_us_image')); ?>" alt="<?php echo esc_html(get_theme_mod('vw_boutique_pro_about_image_alt_text')); ?>">
          <?php } ?>
          <div class="video">
            <?php if(get_theme_mod('vw_boutique_pro_about_us_video_url')!=''){ ?>
            <span data-toggle="modal" data-target="#video-post" class="video-play-icon">
            <?php if(get_theme_mod('vw_boutique_pro_about_us_video_play_icon')!=''){ ?>
              <i class="<?php echo esc_html(get_theme_mod('vw_boutique_pro_about_us_video_play_icon')); ?>"></i>
            <?php } ?>
            </span>
            <?php } ?>  
          </div>
      </div>
      <div class="col-lg-6 col-md-12 about-us-content">
        <?php if(get_theme_mod('vw_boutique_pro_about_us_main_heading')!=''){ ?>
                <h2>
                 <?php echo esc_html(get_theme_mod('vw_boutique_pro_about_us_main_heading')); ?>
                </h2>
              <?php } if(get_theme_mod('vw_boutique_pro_about_us_text')!=''){ ?>
                <p>
                  <?php echo(get_theme_mod('vw_boutique_pro_about_us_text')); ?>
                </p>
              <?php } if(get_theme_mod('vw_boutique_pro_about_us_button_title')!=''){ ?>
                <a href="<?php echo esc_url(get_theme_mod('vw_boutique_pro_about_us_button_url')); ?>" class="hvr-bounce-to-right">
                  <?php echo esc_html(get_theme_mod('vw_boutique_pro_about_us_button_title')); ?>
                  <i class="<?php echo esc_html(get_theme_mod('vw_boutique_pro_about_us_icon')); ?>">
                  </i>
                </a>
              <?php } ?>
      </div>
    </div>
  </div>
  <?php if(get_theme_mod('vw_boutique_pro_about_us_video_url')!=''){ ?>
    <div class="modal fade" id="video-post">
      <div class="modal-dialog modal-lg">
        <div class="modal-content">
        
          <!-- Modal Header -->
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
          </div>
          
          <!-- Modal body -->
          <div class="modal-body">
            <embed src="<?php echo esc_url(get_theme_mod('vw_boutique_pro_about_us_video_url')); ?>" width="100%" height="350">
          </div>
        
        </div>
      </div>
    </div>
  <?php } ?>
</section>