<?php
/**
 * Template part for displaying New Arrivals
 *
 * @package vw-boutique-pro
 */

  $section_hide = get_theme_mod( 'vw_boutique_pro_best_seller_enabledisable' );
  if ( 'Disable' == $section_hide ) {
    return;
  }
  
  if( get_theme_mod('vw_boutique_pro_best_seller_bgcolor','') ) {
    $about_backg = 'background-color:'.esc_attr(get_theme_mod('vw_boutique_pro_best_seller_bgcolor','')).';';
  }elseif( get_theme_mod('vw_boutique_pro_best_seller_bgimage','') ){
    $about_backg = 'background-image:url(\''.esc_url(get_theme_mod('vw_boutique_pro_best_seller_bgimage')).'\');';
  }else{
    $about_backg='';
  }
   $bestseller_loop="";
  if(get_theme_mod('vw_boutique_pro_best_seller_slider_loop',true)=='1')
  {
    $bestseller_loop="true";
  }else{
    $bestseller_loop="false";
  }

   $att_style="";
  $image_att = get_theme_mod( 'vw_boutique_pro_best_seller_bgimage_setting',true );
  if ( 'Scroll' == $image_att ) {
    $att_style="section_bg_scroll";
  }else{
    $att_style="section_bg_fixed";
  }

?>
<section id="bestseller" style="<?php echo esc_attr($about_backg); ?>" class="<?php echo esc_attr($att_style); ?>">
  <div class="container">
    <div class="row">
      <div class="col-lg-12 col-md-12 col-sm-6  col-12 bestseller-head">
         <?php if(get_theme_mod('vw_boutique_pro_best_seller_small_heading')!=''){ ?>
          <h2>
             <?php echo esc_html(get_theme_mod('vw_boutique_pro_best_seller_small_heading')); ?>
          </h2>
        <?php } if(get_theme_mod('vw_boutique_pro_best_seller_main_heading')!=''){ ?>
          <span>
             <?php echo esc_html(get_theme_mod('vw_boutique_pro_best_seller_main_heading')); ?>
          </span>
        <?php } ?>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-8 col-sm-12 col-12 inner-best">
        <?php if ( class_exists( 'WooCommerce' ) ) { ?>
          <div class="owl-carousel">
                <?php
                  $args = array( 
                  'post_type' => 'product', 
                  'posts_per_page' =>get_theme_mod('vw_boutique_pro_no_of_best_seller_product_to_show'),
                  'product_cat' => get_theme_mod('vw_boutique_pro_best_seller_category'),
                  'order' => 'ASC'
                  );
                  $loop = new WP_Query( $args );
                  while ( $loop->have_posts() ) : $loop->the_post(); global $product; ?>
                     <div class="best-seller-content">
                  <div class="inner-best-seller">
                    <div class="row bestseller-title">
                      <div class="col-lg-6 col-md-6">
                        <span class="product-sale-tag">
                          <?php woocommerce_show_product_sale_flash( $post, $product ); ?>
                        </span> 
                        <?php if (has_post_thumbnail( $loop->post->ID )) echo get_the_post_thumbnail($loop->post->ID, 'shop_catalog'); else echo '<img src="'.esc_url(woocommerce_placeholder_img_src()).'" />'; ?> 
                      </div>
                      <div class="col-lg-6 col-md-6 best-seller-title-box">
                        <h3>
                          <a href="<?php echo esc_url(get_permalink( $loop->post->ID )); ?>"><?php the_title(); ?>
                          </a>
                        </h3>
                        <div class="product-rating"> 
                          <?php if( $product->is_type( 'simple' ) ){ woocommerce_template_loop_rating( $loop->post, $product ); } ?>
                        </div>
                        <?php echo $product->get_price_html(); ?>
                        <?php the_excerpt() ?>
                        <div class="row buy-content">
                          <div class="col-md-8 col-sm-6 col-6">
                            <div class="cart-box">
                              <span class="featured-cart"><?php if( $product->is_type( 'simple' ) ){ woocommerce_template_loop_add_to_cart( $loop->post, $product ); } ?></span> 
                            </div>
                          </div>
                          <div class="col-md-4 col-sm-6 col-6 best-wish">
                            <?php echo do_shortcode('[yith_wcwl_add_to_wishlist]'); ?>
                          </div>
                        </div>
                    </div>
                  </div>
                </div>
              </div>
              <?php endwhile; wp_reset_query(); ?>
          </div>
        <?php }else{ ?>
          <h4 class="woo-smg text-center">
            <?php esc_html_e('Install WooCommerce plugin to display this section','vw-boutique-pro'); ?>
          </h4>
        <?php } ?>
      </div>
      <div class="col-lg-4 col-sm-12 col-12 section-inner">
        <?php if(get_theme_mod('vw_boutique_pro_best_seller_section_image')!=''){ ?>
        <img src="<?php echo esc_url(get_theme_mod('vw_boutique_pro_best_seller_section_image')); ?>" alt="<?php echo esc_html(get_theme_mod('vw_boutique_pro_best_seller_section_image_alt_text')); ?>">
          <?php } if(get_theme_mod('vw_boutique_pro_best_seller_text')!=''){ ?>
          <span class="centered">
            <?php echo(get_theme_mod('vw_boutique_pro_best_seller_text')); ?>
          </span>
         <?php } ?>
         <div class="best-btn">
         <?php 
         if(get_theme_mod('vw_boutique_pro_best_seller_button_title')!=''){ ?>
          <a href="<?php echo esc_url(get_theme_mod('vw_boutique_pro_best_seller_button_url')); ?>">
            <?php echo esc_html(get_theme_mod('vw_boutique_pro_best_seller_button_title')); ?>
          </a>
          <?php } ?>
        </div>
      </div>
    </div>
  </div>
  <span id="bestseller-loop"><?php echo esc_html($bestseller_loop); ?></span>
</section>