<?php 
	
/**
 * Template part for displaying Our Blog
 *
 * @package vw-boutique-pro
 */

  $section_hide = get_theme_mod( 'vw_boutique_pro_our_blog_enabledisable' );
  if ( 'Disable' == $section_hide ) {
    return;
  }
  if( get_theme_mod('vw_boutique_pro_our_blog_bg_color','') ) {
    $about_backg = 'background-color:'.esc_attr(get_theme_mod('vw_boutique_pro_our_blog_bg_color','')).';';
  }elseif( get_theme_mod('vw_boutique_pro_our_blog_bg_image','') ){
    $about_backg = 'background-image:url(\''.esc_url(get_theme_mod('vw_boutique_pro_our_blog_bg_image')).'\');';
  }else{
    $about_backg= '';
  }

  $att_style="";
	$image_att = get_theme_mod( 'vw_boutique_pro_our_blog_image_attachment',true );
	if ( 'Scroll' == $image_att ) {
	    $att_style="section_bg_scroll";
	}else{
	    $att_style="section_bg_fixed";
	}

  $blogs_loop="";
  if(get_theme_mod('vw_boutique_pro_our_blog_slider_loop',true)=='1')
  {
    $blogs_loop="true";
  }else{
    $blogs_loop="false";
  }
  $blog_excerpt="";
  if(get_theme_mod('vw_boutique_pro_blog_excerpt_no')!=''){
    $blog_excerpt=get_theme_mod('vw_boutique_pro_blog_excerpt_no');
  }
?>
<section id="our-blogs" style="<?php echo esc_attr($about_backg); ?>" class="<?php echo esc_attr($att_style); ?>">
	<div class="container">
    <div class="blog">
      <div class="articles-head">
        <?php if(get_theme_mod('vw_boutique_pro_our_blog_heading')!=''){ ?>
          <h2 class="sec-title wow slideInDown delay-1000 animated" data-wow-duration="2s">
            <?php echo esc_html(get_theme_mod('vw_boutique_pro_our_blog_heading')); ?>
          </h2>
        <?php } if(get_theme_mod('vw_boutique_pro_our_blog_main_heading')!=''){?>
          <span>
            <?php echo esc_html(get_theme_mod('vw_boutique_pro_our_blog_main_heading')); ?>
          </span>
        <?php } ?>
      </div>
      <div class="post-box">
        <div class="post-image logobox wow slideInLeft delay-2000" data-wow-duration="2s" style="visibility: visible; animation-name: slideInLeft; animation-duration: 2s;">
          <div class="owl-carousel">
            <?php
              $i=1;
              $args = array(
                'post_type' => 'post',
                'post_status' => 'publish',
                'posts_per_page' => get_theme_mod('vw_boutique_pro_our_blog_number')
              );  
              $query = new WP_Query($args); 
              if ( $query->have_posts() ) :  while ($query->have_posts()) : $query->the_post(); 
            ?>
            <div class="latest-news-content wow slideInLeft delay-1000 animated" data-wow-duration="2s">
              <div class="latest-news-image">
                 <img src="<?php echo wp_get_attachment_url( get_post_thumbnail_id() ); ?>" alt="<?php echo esc_html(get_theme_mod('vw_boutique_pro_blog_image_alt_text'.$i)); ?>">
              </div>
              <div class="new-content-text">
                <div class="blog-title">
                  <a href="<?php the_permalink(); ?>" class="blog-title"><?php the_title(); ?></a>
                </div>
                <div class="news-meta">
                  <?php if ( get_theme_mod('vw_boutique_pro_post_general_settings_post_author',true) == "1" ) { ?>
                            <span class="entry-author">
                              <i class="fas fa-user"></i>
                              <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php the_author(); ?></a>
                            </span>
                          <?php } if ( get_theme_mod('vw_boutique_pro_post_general_settings_post_comments',true) == "1" ) { ?>
                    <span class="entry-comments">
                      <i class="far fa-comments"></i>
                      <?php comments_number( __( '0 Comments','vw-boutique-pro' ), __( '0 Comments','vw-boutique-pro' ), __( '0 % Comments','vw-boutique-pro' ) ); ?>
                    </span>
                  <?php } ?>
                </div> 
                <div class="row meta-content">
                  <div class="col-md-6 col-6">
                    <div class="meta-box">
                      <?php if ( get_theme_mod('vw_boutique_pro_post_general_settings_post_date',true) == "1" ) { ?>
                        <span class="dat-span"> 
                          <?php the_time('d'); ?>
                          <?php the_time('M'); ?>
                        </span>
                      <?php } ?>
                    </div> 
                  </div>
                  <div class="col-md-6 col-6">
                    <div class="blog-btn">
                      <?php if(get_theme_mod('vw_boutique_pro_blog_button_title')!=''){ ?>
                      <a href="<?php the_permalink(); ?>" class="blog-link">
                      <?php echo esc_html(get_theme_mod('vw_boutique_pro_blog_button_title')); ?><i class="<?php echo esc_html(get_theme_mod('vw_boutique_pro_blog_button_icon'));?>"></i>
                      </a>
                      <?php } ?>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          <?php $i++; endwhile; endif; ?>
        </div>
        <div class="blog-main-btn">
          <?php if(get_theme_mod('vw_boutique_pro_blog_view_all_button_title')!=''){ ?>
          <a href="<?php echo esc_url(get_theme_mod('vw_boutique_pro_blog_view_all_button_url')); ?>" class="blog-link">
          <?php echo esc_html(get_theme_mod('vw_boutique_pro_blog_view_all_button_title')); ?><i class="<?php echo esc_html(get_theme_mod('vw_boutique_pro_blog_view_all_button_icon'));?>"></i>
          </a>
          <?php } ?>
        </div>
      </div>
    </div>
  </div>
</div>
  <span id="blogs-loop"><?php echo esc_html($blogs_loop); ?></span>
</section>