<?php
/**
 * Template part for displaying New Arrivals
 *
 * @package vw-boutique-pro
 */

  $section_hide = get_theme_mod( 'vw_boutique_pro_new_arrival_enable' );
  if ( 'Disable' == $section_hide ) {
    return;
  }
 
  if( get_theme_mod('vw_boutique_pro_new_arrival_bgcolor','') ) {
    $about_backg = 'background-color:'.esc_attr(get_theme_mod('vw_boutique_pro_new_arrival_bgcolor','')).';';
  }elseif( get_theme_mod('vw_boutique_pro_new_arrival_bgimage','') ){
    $about_backg = 'background-image:url(\''.esc_url(get_theme_mod('vw_boutique_pro_new_arrival_bgimage')).'\');';
  }else{
    $about_backg='';
  }
  
  $att_style="";
  $image_att = get_theme_mod( 'vw_boutique_pro_new_arrival_bgimage_setting',true );
  if ( 'Scroll' == $image_att ) {
    $att_style="section_bg_scroll";
  }else{
    $att_style="section_bg_fixed";
  }
?>
<section id="new-arrival" style="<?php echo esc_attr($about_backg); ?>" class="<?php echo esc_attr($att_style); ?>">
	<div class="container">
    <div class="row">
      <div class="col-lg-12 col-md-12 new-arrival-head">
        <?php if(get_theme_mod('vw_boutique_pro_new_arrival_main_heading')!=''){ ?>
          <h2>
             <?php echo esc_html(get_theme_mod('vw_boutique_pro_new_arrival_main_heading')); ?>
          </h2>
        <?php } ?>
      </div>
    </div>
    <div class="new-arrival-tabs">
      <div class="row list">
        <?php 
        $count=get_theme_mod('vw_boutique_pro_new_arrival_number');
        for($f=1;$f<=$count;$f++) { 
        ?>
          <?php if(get_theme_mod('vw_boutique_pro_new_arrival_category_title'.$f)!=''){ ?>
            <div class="col-md-3 col-sm-6 col-6" class="nav-item">
              <a class="nav-link <?php if($f==1){ echo 'active'; } ?> hvr-shrink" data-toggle="tab" href="#arrival_tab<?php echo esc_attr($f);?>" role="tab">
                <?php echo esc_html(get_theme_mod('vw_boutique_pro_new_arrival_category_title'.$f)); ?>
              </a>
            </div>
        <?php } } ?>
      </div>
    </div>
    <?php if ( class_exists( 'WooCommerce' ) ) { ?>
      <div class="tab-content" id="projects-dec">
        <?php  
        for($i=1; $i<=$count; $i++) {?>
          <div role="tabpanel" class="outer_tab tab-pane fade <?php if($i==1){ echo 'in active show'; } ?>" id="arrival_tab<?php echo esc_attr($i);?>">
            <div class="row">
              <?php
                $args = array( 
                'post_type' => 'product', 
                'posts_per_page' => -1,
                'product_cat' => get_theme_mod('vw_boutique_pro_new_arrival_category'.$i),
                'order' => 'ASC'
                );
                $loop = new WP_Query( $args );
                while ( $loop->have_posts() ) : $loop->the_post(); global $product; ?>
                <div class="col-lg-3 col-md-4 col-sm-6">
                  <div class="new-arrival-content">
                    <div class="new-arrival-title">
                      <?php if (has_post_thumbnail( $loop->post->ID )) echo get_the_post_thumbnail($loop->post->ID, 'shop_catalog'); else echo '<img src="'.esc_url(woocommerce_placeholder_img_src()).'" />'; ?> 
                      <h3>
                      <a href="<?php echo esc_url(get_permalink( $loop->post->ID )); ?>"><?php the_title(); ?>
                          </a>
                      </h3>
                      <?php echo $product->get_price_html(); ?>
                      <div class="row buy-content">
                        <div class="col-md-6 col-6">
                          <div class="cart-box">
                            <span class="featured-cart"><?php if( $product->is_type( 'simple' ) ){ woocommerce_template_loop_add_to_cart( $loop->post, $product ); } ?></span> 
                          </div>
                        </div>
                        <div class="col-md-6 col-6">
                          <?php echo do_shortcode('[yith_wcwl_add_to_wishlist]'); ?>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              <?php endwhile; wp_reset_query(); ?>
            </div>
          </div>
        <?php } ?>
      </div>
    <?php }else{ ?>
      <h4 class="woo-smg text-center">
        <?php esc_html_e('Install WooCommerce plugin to display this section','vw-boutique-pro'); ?>
      </h4>
    <?php } ?>
    <?php if(get_theme_mod('vw_boutique_pro_new_arrival_link_title')!=''){ ?>
      <div class="row new-arrival-button">
        <div class="col-lg-12 col-md-12">
          <a href="<?php echo esc_html(get_theme_mod('vw_boutique_pro_new_arrival_link_url')); ?>">
            <?php echo esc_html(get_theme_mod('vw_boutique_pro_new_arrival_link_title')); ?>
             <i class="<?php echo esc_html(get_theme_mod('vw_boutique_pro_new_arrival_btn_icon')); ?>">
              </i>
          </a>
        </div>
      </div>
    <?php } ?>
  </div>
</section>