<?php 
  
/**
 * Template part for displaying Newsletter
 *
 * @package vw-boutique-pro
 */

  $section_hide = get_theme_mod( 'vw_boutique_pro_newsletter_enabledisable' );
  if ( 'Disable' == $section_hide ) {
    return;
  }

  if( get_theme_mod('vw_boutique_pro_newsletter_form_bgcolor','') ) {
    $form_bg = 'background-color:'.esc_attr(get_theme_mod('vw_boutique_pro_newsletter_form_bgcolor','')).';';
  }elseif( get_theme_mod('vw_boutique_pro_newsletter_form_bgimage','') ){
    $form_bg = 'background-image:url(\''.esc_url(get_theme_mod('vw_boutique_pro_newsletter_form_bgimage')).'\')';
  }else{
    $form_bg= '';
  }

?>
<section id="newsletter" style="<?php echo esc_attr($form_bg); ?>">
  <div class="container">
    <div class="row">
      <div class="col-lg-6 col-md-6">
        <div class="newsletter-box">
          <?php if(get_theme_mod('vw_boutique_pro_newsletter_title')!=''){ ?>
            <h2>
              <?php echo esc_html(get_theme_mod('vw_boutique_pro_newsletter_title')); ?>
            </h2>
          <?php } if(get_theme_mod('vw_boutique_pro_newsletter_text')!=''){ ?>
            <span>
              <?php echo esc_html(get_theme_mod('vw_boutique_pro_newsletter_text')); ?>
            </span>
          <?php } ?>
        </div>
      </div>
      <div class="col-lg-6 col-md-6">
        <div class="newsletter-form-box">
          <?php if(get_theme_mod('vw_boutique_pro_newsletter_shortcode')!=''){ ?>
            <div class="newsletter-form">
              <?php echo do_shortcode(get_theme_mod('vw_boutique_pro_newsletter_shortcode')); ?>
            </div>
          <?php } ?>
        </div>
      </div>
    </div>
  </div>
</section>