<?php  
/**
 * Template part for displaying Shop By Categories
 *
 * @package vw-boutique-pro
 */

    $section_hide = get_theme_mod( 'vw_boutique_pro_shop_by_categories_enabledisable' );
    if ( 'Disable' == $section_hide ) {
      return;
    }
    if( get_theme_mod('vw_boutique_pro_shop_by_categories_bg_color','') ) {
      $about_backg = 'background-color:'.esc_attr(get_theme_mod('vw_boutique_pro_shop_by_categories_bg_color','')).';';
    }elseif( get_theme_mod('vw_boutique_pro_shop_by_categories_bg_image','') ){
      $about_backg = 'background-image:url(\''.esc_url(get_theme_mod('vw_boutique_pro_shop_by_categories_bg_image')).'\');';
    }else{
      $about_backg= '';
    }

  $att_style="";
  $image_att = get_theme_mod( 'vw_boutique_pro_shop_by_categories_bg_image_attachment',true );
  if ( 'Scroll' == $image_att ) {
      $att_style="section_bg_scroll";
  }else{
      $att_style="section_bg_fixed";
  }

  $shop_cat_loop="";
  if(get_theme_mod('vw_boutique_pro_shop_by_categories_slider_loop',true)=='1')
  {
    $shop_cat_loop="true";
  }else{
    $shop_cat_loop="false";
  }
?>
<section id="shop-by-cate" >
  <div class="container-fliud">
    <div class="shop-cat-box <?php echo esc_attr($att_style); ?>" style="<?php echo esc_attr($about_backg); ?>">
      <div class="shop-by-cate-box">
        <?php if ( class_exists( 'WooCommerce' ) ) { ?>
          <div class="owl-carousel">
            <?php
            $cat_count=get_theme_mod('vw_boutique_pro_shop_by_categories_number');
            for($i=1;$i<=$cat_count;$i++) {
            ?>
              <div class="shop-categories-box">
                <?php if(get_theme_mod('vw_boutique_pro_shop_by_categories_image'.$i)!=''){ ?>
                  <img src="<?php echo esc_html(get_theme_mod('vw_boutique_pro_shop_by_categories_image'.$i)); ?>"  alt="<?php echo esc_html(get_theme_mod('vw_boutique_pro_shop_by_categories_image_alt_text'.$i)); ?>" class="hvrbox-layer_bottom">
                <?php }?>
                <div class="inner-cat-content">
                  <?php if(get_theme_mod('vw_boutique_pro_shop_by_categories_meta_image'.$i)!=''){ ?>
                  <img src="<?php echo esc_html(get_theme_mod('vw_boutique_pro_shop_by_categories_meta_image'.$i)); ?>"  alt="<?php echo esc_html(get_theme_mod('vw_boutique_pro_shop_by_categories_meta_image_alt_text'.$i)); ?>" >
                <?php }?>
                  <div class="cat-text"> 
                    <?php if(get_theme_mod('vw_boutique_pro_shop_by_categories_title'.$i)!=''){ ?>
                      <a href="<?php echo esc_html(get_theme_mod('vw_boutique_pro_shop_by_categories_url'.$i)); ?>">
                        <?php echo esc_html(get_theme_mod('vw_boutique_pro_shop_by_categories_title'.$i)); ?>
                      </a>
                    <?php } ?>
                  </div>
                </div>
              </div> 
            <?php } ?>
          </div>
        <?php } ?>
      </div>
    </div>
  </div>
  <span id="shop-by-cat-loop"><?php echo esc_html($shop_cat_loop); ?></span>
</section>