<?php 

/**
 * Template to show the content of Slider
 *
 * @package vw-boutique-pro
 */ 

$section_hide = get_theme_mod( 'vw_boutique_pro_slider_enabledisable' );
if ( 'Disable' == $section_hide ) {
  return;
}
$number = get_theme_mod('vw_boutique_pro_slide_number'); 
$slide_delay = get_theme_mod('vw_boutique_pro_slide_delay'); 
  if($number != ''){
?>
  <section id="slider">
    <div id="carouselExampleIndicators" class="carousel slide <?php if ( get_theme_mod('vw_boutique_pro_slide_remove_fade',true) == 1 ) { ?> carousel-fade <?php } ?>" data-ride="carousel" data-interval="<?php echo esc_attr($slide_delay); ?>">
      <div class="carousel-inner" role="listbox">
        <?php for ($i=1; $i<=$number; $i++) {  ?>
          <?php if(get_theme_mod('vw_boutique_pro_slide_image'.$i) != ''){ ?>
            <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
              <?php if ( get_theme_mod('vw_boutique_pro_slide_image'.$i) != "" ) { ?>
                <img  src="<?php echo esc_url(get_theme_mod('vw_boutique_pro_slide_image'.$i)); ?>" alt="<?php echo esc_html(get_theme_mod('vw_boutique_pro_slide_image_alt_text'.$i)); ?>">
              <?php } ?>
              <?php if ( get_theme_mod('vw_boutique_pro_slide_small_heading'.$i) != "" || get_theme_mod('vw_boutique_pro_slide_main_text'.$i) != ""){ ?>
              <div class="carousel-caption d-md-block mt-5">
                <div class="container h-100">
                  <div class="row h-100">
                    <div class="inner_carousel">
                      <div class="slider-box">
                        <?php if( get_theme_mod('vw_boutique_pro_slide_small_heading'.$i) != ''){ ?>
                          <h1 class="wow slideInLeft delay-1000 animated" data-wow-duration="2s">
                            <?php echo esc_html(get_theme_mod('vw_boutique_pro_slide_small_heading'.$i)); ?>
                          </h1>
                        <?php } if ( get_theme_mod('vw_boutique_pro_slide_main_text'.$i) != ""){ ?>
                          <span class="wow slideInLeft delay-1000 animated" data-wow-duration="2s"><?php echo esc_html(get_theme_mod('vw_boutique_pro_slide_main_text'.$i)); ?></span>
                        <?php } ?>
                        <div class="slider-btn">
                          <?php if ( get_theme_mod('vw_boutique_pro_slide_button_text'.$i) != ""){ ?>
                            <a class="slider-button-1" href="<?php echo esc_html(get_theme_mod('vw_boutique_pro_slide_buttonurl'.$i)); ?>">
                                <?php echo esc_html(get_theme_mod('vw_boutique_pro_slide_button_text'.$i)); ?>
                                <i class="<?php echo esc_html(get_theme_mod('vw_boutique_pro_slide_btn_one_icon'.$i)); ?>">
                                  </i>
                            </a>
                          <?php } ?>
                        </div>
                      </div>
                    </div>
                  </div> 
                  <?php if ( get_theme_mod('vw_boutique_pro_slider_arrows',true) == "1" ) { ?>
                    <div class="slide_nav">
                      <a class="carousel-prev-button hvr-shrink" href="#carouselExampleIndicators" data-slide="prev">
                        <span class="carousel-control-prev-icon"
                        ><i class="fas fa-chevron-left"></i></span>
                        <span class="sr-only"><?php esc_html_e('Previous','vw-boutique-pro'); ?></span>
                      </a>
                      <a class="carousel-next-button hvr-shrink" href="#carouselExampleIndicators" data-slide="next">
                        <span class="carousel-control-next-icon"><i class="fas fa-chevron-right"></i></span>
                        <span class="sr-only"><?php esc_html_e('Next','vw-boutique-pro'); ?></span>
                      </a>
                    </div>
                  <?php }?>
                </div>
              </div>  
              <?php } ?>
            </div>
          <?php } ?>
        <?php } ?>
      </div>
      <?php if ( get_theme_mod('vw_boutique_pro_slider_dots',true) == "1" ) { ?>
        <ol class="carousel-indicators">
          <?php for($i=1;$i<=$number;$i++){ ?>
            <?php if(get_theme_mod('vw_boutique_pro_slide_image'.$i) != ''){ ?>
              <li data-target="#carouselExampleIndicators" data-slide-to="<?php echo($i-1); ?>" class="<?php if($i==1){echo 'active';} ?>"></li>
          <?php } } ?>
        </ol>  
      <?php } ?> 
    </div>
    <div class="social">
       <?php if(get_theme_mod('vw_boutique_pro_slider_social_icon_shortcode')!=''){ ?>
          <?php echo do_shortcode(get_theme_mod('vw_boutique_pro_slider_social_icon_shortcode')); ?>
        <?php } ?>
      </div>
  </section>
<?php } ?>