<?php 
  
/**
 * Template part for displaying Top Deals
 *
 * @package vw-boutique-pro
 */

  $section_hide = get_theme_mod( 'vw_boutique_pro_special_offer_enabledisable' );
  if ( 'Disable' == $section_hide ) {
    return;
  }
  if( get_theme_mod('vw_boutique_pro_special_offer_bg_color','') ) {
    $about_backg = 'background-color:'.esc_attr(get_theme_mod('vw_boutique_pro_special_offer_bg_color','')).';';
  }elseif( get_theme_mod('vw_boutique_pro_special_offer_bg_image','') ){
    $about_backg = 'background-image:url(\''.esc_url(get_theme_mod('vw_boutique_pro_special_offer_bg_image')).'\');';
  }else{
    $about_backg= '';
  }
  $att_style="";
  $image_att = get_theme_mod( 'vw_boutique_pro_special_offer_image_attachment',true );
  if ( 'Scroll' == $image_att ) {
   $att_style="section_bg_scroll";
  }else{
   $att_style="section_bg_fixed";
  }

  $special_product_loop="";
  if(get_theme_mod('vw_boutique_pro_special_offer_slider_loop',true)=='1')
  {
    $special_product_loop="true";
  }else{
    $special_product_loop="false";
  }
?>
<section id="special-products" style="<?php echo esc_attr($about_backg); ?>" class="<?php echo esc_attr($att_style); ?>">
  <div class="container">
    <div class="amazon-deals-head">
      <?php if(get_theme_mod('vw_boutique_pro_special_offer_text')!=''){ ?>
        <h2 class="sec-title" data-wow-duration="2s">
          <?php echo esc_html(get_theme_mod('vw_boutique_pro_special_offer_text')); ?>
        </h2>
      <?php } if(get_theme_mod('vw_boutique_pro_special_offer_main_heading')!=''){ ?>
        <p class="sec-title wow slideInDown delay-1000 animated" data-wow-duration="2s">
          <?php echo esc_html(get_theme_mod('vw_boutique_pro_special_offer_main_heading')); ?>
        </p>
      <?php } ?>
    </div>
    <div class="amazon-deals-box">
      <?php if ( class_exists( 'WooCommerce' ) ) { ?>
      <div class="owl-carousel">
        <?php
          $i=1;
          $args = array(
            'post_type' => 'product',
            'post_status' => 'publish',
            'posts_per_page' => get_theme_mod('vw_boutique_pro_special_offer_products_number'),
            'product_cat' => get_theme_mod('vw_boutique_pro_special_offer_products_category'),
            'order' => 'ASC'
          );  
          $loop = new WP_Query( $args );
          while ( $loop->have_posts() ) : $loop->the_post(); global $product; ?>
            <div class="amazon-deals-content">
              <div class="amazon-deals-img">
                <?php if (has_post_thumbnail( $loop->post->ID )) echo get_the_post_thumbnail($loop->post->ID, 'shop_catalog'); else echo '<img src="'.esc_url(woocommerce_placeholder_img_src()).'" alt="'.esc_html(get_the_title()) .' post thumbnail" />'; ?> 
              </div>
              <div class="f-pro-box">
                <h3><a href="<?php echo esc_url(get_permalink( $loop->post->ID )); ?>">
                  <?php the_title(); ?>
                </a></h3>
                <?php echo $product->get_price_html(); ?>
              </div>
              <div class="row buy-content">
                <div class="col-md-6 col-sm-6 col-6">
                  <div class="cart-box">
                    <span class="featured-cart"><?php if( $product->is_type( 'simple' ) ){ woocommerce_template_loop_add_to_cart( $loop->post, $product ); } ?></span> 
                  </div>
                </div>
                <div class="col-md-6 col-sm-6 col-6">
                  <?php echo do_shortcode('[yith_wcwl_add_to_wishlist]'); ?>
                </div>
              </div>
            </div> 
        <?php $i++; endwhile; wp_reset_query(); ?>
      </div>
      <?php }else{ ?>
        <h4 class="woo-smg text-center">
          <?php esc_html_e('Install WooCommerce plugin to display this section','vw-boutique-pro'); ?>
        </h4>
      <?php } ?>
    </div>
  </div>
  <span id="special-products-loop"><?php echo esc_html($special_product_loop); ?></span>
</section>