<?php  
/**
 * Template part for displaying Women collection
 *
 * @package vw-boutique-pro
 */
    $section_hide = get_theme_mod( 'vw_boutique_pro_women_collection_enabledisable' );
    if ( 'Disable' == $section_hide ) {
      return;
    }
    if( get_theme_mod('vw_boutique_pro_women_collection_bg_color','') ) {
      $about_backg = 'background-color:'.esc_attr(get_theme_mod('vw_boutique_pro_women_collection_bg_color','')).';';
    }elseif( get_theme_mod('vw_boutique_pro_women_collection_bg_image','') ){
      $about_backg = 'background-image:url(\''.esc_url(get_theme_mod('vw_boutique_pro_women_collection_bg_image')).'\');';
    }else{
      $about_backg= '';
    }

  $att_style="";
  $image_att = get_theme_mod( 'vw_boutique_pro_women_collection_bg_image_attachment',true );
  if ( 'Scroll' == $image_att ) {
      $att_style="section_bg_scroll";
  }else{
      $att_style="section_bg_fixed";
  }

  $womens_loop="";
  if(get_theme_mod('vw_boutique_pro_women_collection_slider_loop',true)=='1')
  {
    $women_loop="true";
  }else{
    $women_loop="false";
  }
?>
<section id="women" style="<?php echo esc_attr($about_backg); ?>" class="<?php echo esc_attr($att_style); ?>">
  <div class="container">
    <div class="row">
      <div class="col-lg-6 col-md-12 col-sm-12 col-12">
        <?php if(get_theme_mod('vw_boutique_pro_women_main_heading')!=''){ ?>
          <h2>
           <?php echo esc_html(get_theme_mod('vw_boutique_pro_women_main_heading')); ?>
          </h2>
        <?php } if(get_theme_mod('vw_boutique_pro_women_text')!=''){ ?>
          <p>
            <?php echo(get_theme_mod('vw_boutique_pro_women_text')); ?>
          </p>
          <?php } ?>
          <div class="women-button">
            <?php if(get_theme_mod('vw_boutique_pro_women_collection_button_title')!=''){ ?>
              <a href="<?php echo esc_url(get_theme_mod('vw_boutique_pro_women_collection_button_url')); ?>" class="hvr-bounce-to-right">
            <?php echo esc_html(get_theme_mod('vw_boutique_pro_women_collection_button_title')); ?>
            <i class="<?php echo esc_html(get_theme_mod('vw_boutique_pro_women_btn_icon')); ?>"></i>
                </a>
            <?php } ?>
          </div>
          <div class="womens-content">
            <?php if ( class_exists( 'WooCommerce' ) ) { ?>
              <div class="owl-carousel">
                <?php
                  $i=1;
                  $args = array(
                    'post_type' => 'product',
                    'post_status' => 'publish',
                    'posts_per_page' => get_theme_mod('vw_boutique_pro_no_of_womens_collection_to_show'),
                    'product_cat' => get_theme_mod('vw_boutique_pro_women_collection_products_category'),
                    'order' => 'ASC'
                  );  
                  $loop = new WP_Query( $args );
                  while ( $loop->have_posts() ) : $loop->the_post(); global $product; ?>            
                <div class="product-content">
                  <div class="inner-box">
                    <div class="product-img">
                      <div class="product-deals-img">
                        <?php if (has_post_thumbnail( $loop->post->ID )) echo get_the_post_thumbnail($loop->post->ID, 'shop_catalog'); else echo '<img src="'.esc_url(woocommerce_placeholder_img_src()).'" alt="'.esc_html(get_the_title()) .' post thumbnail" />'; ?> 
                      </div>
                    </div>
                    <div class="product-box">
                      <h3><a href="<?php echo esc_url(get_permalink( $loop->post->ID )); ?>">
                      <?php the_title(); ?>
                      </a></h3>
                      <?php echo $product->get_price_html(); ?>
                    </div>
                </div>
              </div> 
              <?php $i++; endwhile; wp_reset_query(); ?>
            </div>
              <?php }else{ ?>
                <h4 class="woo-smg text-center">
                  <?php esc_html_e('Install WooCommerce plugin to display this section','vw-boutique-pro'); ?>
                </h4>
              <?php } ?>
          </div>
      </div>
      <div class="col-lg-6 col-md-12 col-12 col-sm-12 women-image">
       <?php if(get_theme_mod('vw_boutique_pro_women_image')!=''){ ?>
          <img src="<?php echo esc_html(get_theme_mod('vw_boutique_pro_women_image')); ?>"  alt="<?php echo esc_html(get_theme_mod('vw_boutique_pro_women_image_alt_text')); ?>">
        <?php } ?>
        <div class="centered">
          <?php if(get_theme_mod('vw_boutique_pro_women_image_overlay_text')!=''){ ?>
          <span class="sec-title wow slideInDown delay-1000 animated" data-wow-duration="2s">
          <?php echo esc_html(get_theme_mod('vw_boutique_pro_women_image_overlay_text')); ?>
          </span>
          <?php } ?>
        </div>
      </div>
    </div>
  </div>
  <span id="women-loop"><?php echo esc_html($women_loop); ?></span>
</section>